Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

TypeError: unhashable type: 'dict' #4446

Closed
laughingman7743 opened this issue Aug 29, 2020 · 0 comments · Fixed by #4450
Closed

TypeError: unhashable type: 'dict' #4446

laughingman7743 opened this issue Aug 29, 2020 · 0 comments · Fixed by #4450

Comments

@laughingman7743
Copy link

Issue description

The following projects use Pipenv to manage their libraries.
https://github.com/laughingman7743/PyAthenaJDBC
An error occurred when I tried to update the library with pipenv update --dev.
This error does not occur with pipenv==2018.11.26; it occurs with pipenv==2020.8.13.

Expected result

The library should be able to be updated without errors.

Actual result

pipenv update --dev

Running $ pipenv lock then $ pipenv sync.
Locking [dev-packages] dependencies…
Building requirements...
Resolving dependencies...
⠦ Locking...
                          ROUND 1
⠹ Locking...Current constraints:
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pytest>=3.5 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))

Finding the best candidates:
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate pytest==6.0.1 (constraint was >=3.5)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)

Finding secondary dependencies:
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  wheel==0.35.1             requires -
⠸ Locking...-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14

New dependencies found in this round:
  adding ['attrs', '>=17.4.0', '[]']
  adding ['black', '', '[]']
  adding ['botocore', '==1.17.51', '[]']
  adding ['colorama', '<0.4.4,>=0.2.5,>=0.4.3', '[]']
  adding ['coverage', '>=4.4', '[]']
  adding ['docutils', '<0.16,>=0.10', '[]']
  adding ['execnet', '>=1.1', '[]']
  adding ['filelock', '>=3.0.0', '[]']
  adding ['flake8', '>=3.5', '[]']
  adding ['importlib-metadata', '<2,>=0.12', '[]']
  adding ['iniconfig', '', '[]']
  adding ['isort', '>=4.0', '[]']
  adding ['keyring', '>=15.1', '[]']
  adding ['more-itertools', '>=4.0.0', '[]']
  adding ['packaging', '>=14', '[]']
  adding ['pkginfo', '>=1.4.2', '[]']
  adding ['pluggy', '<1.0,>=0.12,>=0.12.0', '[]']
  adding ['py', '>=1.4.17,>=1.8.2', '[]']
  adding ['pytest', '>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  adding ['pytest-forked', '', '[]']
  adding ['pyyaml', '<5.4,>=3.10', '[]']
  adding ['readme-renderer', '>=21.0', '[]']
  adding ['requests', '>=2.20', '[]']
  adding ['requests-toolbelt', '!=0.9.0,>=0.8.0', '[]']
  adding ['rfc3986', '>=1.4.0', '[]']
  adding ['rsa', '<=4.5.0,>=3.1.2', '[]']
  adding ['s3transfer', '<0.4.0,>=0.3.0', '[]']
  adding ['setuptools', '>=0.7.0', '[]']
  adding ['six', '>=1.14.0', '[]']
  adding ['toml', '>=0.9.4', '[]']
  adding ['tqdm', '>=4.14', '[]']
  adding ['virtualenv', '!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0', '[]']
Removed dependencies in this round:
------------------------------------------------------------
Result of round 1: not stable

                          ROUND 2
Current constraints:
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  botocore==1.17.51 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  docutils<0.16,>=0.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six>=1.14.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))

Finding the best candidates:
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate botocore==1.17.51 (constraint was ==1.17.51)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate docutils==0.15.2 (constraint was >=0.10,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pytest==6.0.1 (constraint was >=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate requests==2.24.0 (constraint was >=2.20)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0)
  found candidate toml==0.10.1 (constraint was >=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate wheel==0.35.1 (constraint was <any>)

Finding secondary dependencies:
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  setuptools==49.6.0        requires -
  toml==0.10.1              requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  wheel==0.35.1             requires -
  iniconfig==1.0.1          requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  packaging==20.4           requires pyparsing>=2.0.2, six
  filelock==3.0.12          requires -
  py==1.9.0                 requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  pkginfo==1.5.0.1          requires -
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  execnet==1.7.1            requires apipkg>=1.4
  importlib-metadata==1.7.0 requires zipp>=0.5
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  colorama==0.4.3           requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  docutils==0.15.2          requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  isort==5.4.2              requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  rsa==4.5                  requires pyasn1>=0.1.3
  rfc3986==1.4.0            requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  pytest-forked==1.3.0      requires py, pytest>=3.10
  six==1.15.0               requires -
  coverage==5.2.1           requires -
  more-itertools==8.5.0     requires -
  attrs==20.1.0             requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  pyyaml==5.3.1             requires -
  tqdm==4.48.2              requires -

New dependencies found in this round:
  adding ['apipkg', '>=1.4', '[]']
  adding ['appdirs', '<2,>=1.4.3', '[]']
  adding ['bleach', '>=2.1.0', '[]']
  adding ['botocore', '<2.0a.0,==1.17.51,>=1.12.36', '[]']
  adding ['certifi', '>=2017.4.17', '[]']
  adding ['chardet', '<4,>=3.0.2', '[]']
  adding ['click', '>=7.1.2', '[]']
  adding ['dataclasses', '>=0.6', '[]']
  adding ['distlib', '<1,>=0.3.1', '[]']
  adding ['docutils', '<0.16,>=0.10,>=0.13.1', '[]']
  adding ['filelock', '<4,>=3.0.0', '[]']
  adding ['idna', '<3,>=2.5', '[]']
  adding ['importlib-resources', '>=1.0', '[]']
  adding ['jeepney', '>=0.4.2', '[]']
  adding ['jmespath', '<1.0.0,>=0.7.1', '[]']
  adding ['mccabe', '<0.7.0,>=0.6.0', '[]']
  adding ['mypy-extensions', '>=0.4.3', '[]']
  adding ['pathspec', '<1,>=0.6', '[]']
  adding ['pyasn1', '>=0.1.3', '[]']
  adding ['pycodestyle', '<2.7.0,>=2.6.0a1', '[]']
  adding ['pyflakes', '<2.3.0,>=2.2.0', '[]']
  adding ['pygments', '>=2.5.1', '[]']
  adding ['pyparsing', '>=2.0.2', '[]']
  adding ['pytest', '>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  adding ['python-dateutil', '<3.0.0,>=2.1', '[]']
  adding ['regex', '>=2020.1.8', '[]']
  adding ['requests', '<3.0.0,>=2.0.1,>=2.20', '[]']
  adding ['secretstorage', '>=3', '[]']
  adding ['six', '<2,>=1.14.0,>=1.9.0', '[]']
  adding ['toml', '>=0.10.1,>=0.9.4', '[]']
  adding ['typed-ast', '>=1.4.0', '[]']
  adding ['typing-extensions', '>=3.7.4', '[]']
  adding ['urllib3', '!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1', '[]']
  adding ['zipp', '>=0.5', '[]']
Removed dependencies in this round:
  removing ['botocore', '==1.17.51', '[]']
  removing ['docutils', '<0.16,>=0.10', '[]']
  removing ['filelock', '>=3.0.0', '[]']
  removing ['pytest', '>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  removing ['requests', '>=2.20', '[]']
  removing ['six', '>=1.14.0', '[]']
  removing ['toml', '>=0.9.4', '[]']
------------------------------------------------------------
Result of round 2: not stable

                          ROUND 3
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.5)

Finding secondary dependencies:
  isort==5.4.2              requires -
  toml==0.10.1              requires -
  py==1.9.0                 requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pyyaml==5.3.1             requires -
  rsa==4.5                  requires pyasn1>=0.1.3
  pkginfo==1.5.0.1          requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  typed-ast==1.4.1          requires -
  chardet==3.0.4            requires -
  jeepney==0.4.3            requires -
  pathspec==0.8.0           requires -
  click==7.1.2              requires -
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  mccabe==0.6.1             requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pyparsing==2.4.7          requires -
  iniconfig==1.0.1          requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  docutils==0.15.2          requires -
  tqdm==4.48.2              requires -
  certifi==2020.6.20        requires -
  pyflakes==2.2.0           requires -
  pytest-forked==1.3.0      requires py, pytest>=3.10
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  attrs==20.1.0             requires -
  pyasn1==0.4.8             requires -
  setuptools==49.6.0        requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  mypy-extensions==0.4.3    requires -
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  python-dateutil==2.8.1    requires six>=1.5
  jmespath==0.10.0          requires -
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  typing-extensions==3.7.4.3 requires -
  apipkg==1.5               requires -
  urllib3==1.25.10          requires -
  appdirs==1.4.4            requires -
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  dataclasses==0.7          requires -
  six==1.15.0               requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  packaging==20.4           requires pyparsing>=2.0.2, six
  more-itertools==8.5.0     requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  colorama==0.4.3           requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  filelock==3.0.12          requires -
  pygments==2.6.1           requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  idna==2.10                requires -
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  distlib==0.3.1            requires -
  zipp==3.1.0               requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  regex==2020.7.14          requires -
  pycodestyle==2.6.0        requires -
  rfc3986==1.4.0            requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  wheel==0.35.1             requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  execnet==1.7.1            requires apipkg>=1.4
  coverage==5.2.1           requires -

New dependencies found in this round:
  adding ['cryptography', '', '[]']
  adding ['six', '<2,>=1.14.0,>=1.5,>=1.9.0', '[]']
  adding ['webencodings', '', '[]']
  adding ['zipp', '>=0.4,>=0.5', '[]']
Removed dependencies in this round:
  removing ['six', '<2,>=1.14.0,>=1.9.0', '[]']
  removing ['zipp', '>=0.5', '[]']
------------------------------------------------------------
Result of round 3: not stable

                          ROUND 4
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  distlib==0.3.1            requires -
  zipp==3.1.0               requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  webencodings==0.5.1       requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  python-dateutil==2.8.1    requires six>=1.5
  toml==0.10.1              requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  jmespath==0.10.0          requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  rsa==4.5                  requires pyasn1>=0.1.3
  typing-extensions==3.7.4.3 requires -
  wheel==0.35.1             requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  rfc3986==1.4.0            requires -
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pathspec==0.8.0           requires -
  pygments==2.6.1           requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  appdirs==1.4.4            requires -
  filelock==3.0.12          requires -
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  pytest-forked==1.3.0      requires py, pytest>=3.10
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  regex==2020.7.14          requires -
  pyyaml==5.3.1             requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  docutils==0.15.2          requires -
  mypy-extensions==0.4.3    requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  apipkg==1.5               requires -
  isort==5.4.2              requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  setuptools==49.6.0        requires -
  mccabe==0.6.1             requires -
  pyparsing==2.4.7          requires -
  pyasn1==0.4.8             requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  jeepney==0.4.3            requires -
  dataclasses==0.7          requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  pycodestyle==2.6.0        requires -
  pkginfo==1.5.0.1          requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  click==7.1.2              requires -
  iniconfig==1.0.1          requires -
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  six==1.15.0               requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  colorama==0.4.3           requires -
  typed-ast==1.4.1          requires -
  chardet==3.0.4            requires -
  more-itertools==8.5.0     requires -
  idna==2.10                requires -
  pyflakes==2.2.0           requires -
  certifi==2020.6.20        requires -
  urllib3==1.25.10          requires -
  packaging==20.4           requires pyparsing>=2.0.2, six
  coverage==5.2.1           requires -
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  py==1.9.0                 requires -
  attrs==20.1.0             requires -
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  execnet==1.7.1            requires apipkg>=1.4
  tqdm==4.48.2              requires -

New dependencies found in this round:
  adding ['cffi', '!=1.11.3,>=1.8', '[]']
  adding ['six', '<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0', '[]']
Removed dependencies in this round:
  removing ['six', '<2,>=1.14.0,>=1.5,>=1.9.0', '[]']
------------------------------------------------------------
Result of round 4: not stable

                          ROUND 5
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  cffi!=1.11.3,>=1.8 (from cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate cffi==1.14.2 (constraint was !=1.11.3,>=1.8)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.4.1,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  distlib==0.3.1            requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  execnet==1.7.1            requires apipkg>=1.4
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  tqdm==4.48.2              requires -
  pyyaml==5.3.1             requires -
  certifi==2020.6.20        requires -
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  pyasn1==0.4.8             requires -
  rfc3986==1.4.0            requires -
  rsa==4.5                  requires pyasn1>=0.1.3
  coverage==5.2.1           requires -
  dataclasses==0.7          requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  cffi==1.14.2              requires pycparser
  docutils==0.15.2          requires -
  jeepney==0.4.3            requires -
  attrs==20.1.0             requires -
  jmespath==0.10.0          requires -
  click==7.1.2              requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  webencodings==0.5.1       requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  iniconfig==1.0.1          requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  appdirs==1.4.4            requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  zipp==3.1.0               requires -
  isort==5.4.2              requires -
  apipkg==1.5               requires -
  regex==2020.7.14          requires -
  pycodestyle==2.6.0        requires -
  pyflakes==2.2.0           requires -
  typed-ast==1.4.1          requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  typing-extensions==3.7.4.3 requires -
  pyparsing==2.4.7          requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pkginfo==1.5.0.1          requires -
  filelock==3.0.12          requires -
  colorama==0.4.3           requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  py==1.9.0                 requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  chardet==3.0.4            requires -
  idna==2.10                requires -
  more-itertools==8.5.0     requires -
  pathspec==0.8.0           requires -
  mccabe==0.6.1             requires -
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  python-dateutil==2.8.1    requires six>=1.5
  toml==0.10.1              requires -
  urllib3==1.25.10          requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  six==1.15.0               requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  packaging==20.4           requires pyparsing>=2.0.2, six
  pytest-forked==1.3.0      requires py, pytest>=3.10
  mypy-extensions==0.4.3    requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  pygments==2.6.1           requires -
  wheel==0.35.1             requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  setuptools==49.6.0        requires -

New dependencies found in this round:
  adding ['pycparser', '', '[]']
Removed dependencies in this round:
------------------------------------------------------------
Result of round 5: not stable

                          ROUND 6
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  cffi!=1.11.3,>=1.8 (from cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pycparser (from cffi==1.14.2->cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate cffi==1.14.2 (constraint was !=1.11.3,>=1.8)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pycparser==2.20 (constraint was <any>)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.4.1,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  packaging==20.4           requires pyparsing>=2.0.2, six
  appdirs==1.4.4            requires -
  chardet==3.0.4            requires -
  pyyaml==5.3.1             requires -
  pycodestyle==2.6.0        requires -
  certifi==2020.6.20        requires -
  attrs==20.1.0             requires -
  dataclasses==0.7          requires -
  pyflakes==2.2.0           requires -
  idna==2.10                requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  importlib-metadata==1.7.0 requires zipp>=0.5
  regex==2020.7.14          requires -
  cffi==1.14.2              requires pycparser
  jmespath==0.10.0          requires -
  apipkg==1.5               requires -
  rfc3986==1.4.0            requires -
  mccabe==0.6.1             requires -
  webencodings==0.5.1       requires -
  pytest-forked==1.3.0      requires py, pytest>=3.10
  toml==0.10.1              requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  iniconfig==1.0.1          requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  typing-extensions==3.7.4.3 requires -
  jeepney==0.4.3            requires -
  pyparsing==2.4.7          requires -
  python-dateutil==2.8.1    requires six>=1.5
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  filelock==3.0.12          requires -
  click==7.1.2              requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  isort==5.4.2              requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  pygments==2.6.1           requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  coverage==5.2.1           requires -
  mypy-extensions==0.4.3    requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  execnet==1.7.1            requires apipkg>=1.4
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  docutils==0.15.2          requires -
  tqdm==4.48.2              requires -
  distlib==0.3.1            requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  wheel==0.35.1             requires -
  zipp==3.1.0               requires -
  pycparser==2.20           requires -
  more-itertools==8.5.0     requires -
  pathspec==0.8.0           requires -
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  rsa==4.5                  requires pyasn1>=0.1.3
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  setuptools==49.6.0        requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  six==1.15.0               requires -
  typed-ast==1.4.1          requires -
  pkginfo==1.5.0.1          requires -
  urllib3==1.25.10          requires -
  colorama==0.4.3           requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  pyasn1==0.4.8             requires -
  py==1.9.0                 requires -
------------------------------------------------------------
Result of round 6: stable, done

Generating hashes:
  packaging
  appdirs
  chardet
  pyyaml
  pycodestyle
  attrs
  certifi
  regex
  dataclasses
  bleach
  idna
  rfc3986
  importlib-metadata
  webencodings
  cffi
  jmespath
  apipkg
  pytest
  mccabe
  pyflakes
  pytest-forked
  toml
  awscli
  py
  iniconfig
  pluggy
  pytest-flake8
  typing-extensions
  jeepney
  pyparsing
  python-dateutil
  twine
  filelock
  click
  secretstorage
  importlib-resources
  isort
  readme-renderer
  pygments
  pytest-isort
  coverage
  mypy-extensions
  requests
  requests-toolbelt
  cryptography
  virtualenv
  execnet
  pytest-black
  docutils
  tqdm
  distlib
  tox
  wheel
  zipp
  pycparser
  more-itertools
  pathspec
  flake8
  pytest-xdist
  botocore
  six
  black
  typed-ast
  urllib3
  pkginfo
  colorama
  keyring
  s3transfer
  pytest-cov
  pyasn1
  rsa
ROUND 1
Current constraints:
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pytest>=3.5 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))

Finding the best candidates:
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate pytest==6.0.1 (constraint was >=3.5)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)

Finding secondary dependencies:
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  wheel==0.35.1             requires -
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14

New dependencies found in this round:
  adding ['attrs', '>=17.4.0', '[]']
  adding ['black', '', '[]']
  adding ['botocore', '==1.17.51', '[]']
  adding ['colorama', '<0.4.4,>=0.2.5,>=0.4.3', '[]']
  adding ['coverage', '>=4.4', '[]']
  adding ['docutils', '<0.16,>=0.10', '[]']
  adding ['execnet', '>=1.1', '[]']
  adding ['filelock', '>=3.0.0', '[]']
  adding ['flake8', '>=3.5', '[]']
  adding ['importlib-metadata', '<2,>=0.12', '[]']
  adding ['iniconfig', '', '[]']
  adding ['isort', '>=4.0', '[]']
  adding ['keyring', '>=15.1', '[]']
  adding ['more-itertools', '>=4.0.0', '[]']
  adding ['packaging', '>=14', '[]']
  adding ['pkginfo', '>=1.4.2', '[]']
  adding ['pluggy', '<1.0,>=0.12,>=0.12.0', '[]']
  adding ['py', '>=1.4.17,>=1.8.2', '[]']
  adding ['pytest', '>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  adding ['pytest-forked', '', '[]']
  adding ['pyyaml', '<5.4,>=3.10', '[]']
  adding ['readme-renderer', '>=21.0', '[]']
  adding ['requests', '>=2.20', '[]']
  adding ['requests-toolbelt', '!=0.9.0,>=0.8.0', '[]']
  adding ['rfc3986', '>=1.4.0', '[]']
  adding ['rsa', '<=4.5.0,>=3.1.2', '[]']
  adding ['s3transfer', '<0.4.0,>=0.3.0', '[]']
  adding ['setuptools', '>=0.7.0', '[]']
  adding ['six', '>=1.14.0', '[]']
  adding ['toml', '>=0.9.4', '[]']
  adding ['tqdm', '>=4.14', '[]']
  adding ['virtualenv', '!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0', '[]']
Removed dependencies in this round:
------------------------------------------------------------
Result of round 1: not stable

                          ROUND 2
Current constraints:
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  botocore==1.17.51 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  docutils<0.16,>=0.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six>=1.14.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))

Finding the best candidates:
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate botocore==1.17.51 (constraint was ==1.17.51)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate docutils==0.15.2 (constraint was >=0.10,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pytest==6.0.1 (constraint was >=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate requests==2.24.0 (constraint was >=2.20)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0)
  found candidate toml==0.10.1 (constraint was >=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate wheel==0.35.1 (constraint was <any>)

Finding secondary dependencies:
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  setuptools==49.6.0        requires -
  toml==0.10.1              requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  wheel==0.35.1             requires -
  iniconfig==1.0.1          requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  packaging==20.4           requires pyparsing>=2.0.2, six
  filelock==3.0.12          requires -
  py==1.9.0                 requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  pkginfo==1.5.0.1          requires -
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  execnet==1.7.1            requires apipkg>=1.4
  importlib-metadata==1.7.0 requires zipp>=0.5
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  colorama==0.4.3           requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  docutils==0.15.2          requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  isort==5.4.2              requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  rsa==4.5                  requires pyasn1>=0.1.3
  rfc3986==1.4.0            requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  pytest-forked==1.3.0      requires py, pytest>=3.10
  six==1.15.0               requires -
  coverage==5.2.1           requires -
  more-itertools==8.5.0     requires -
  attrs==20.1.0             requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  pyyaml==5.3.1             requires -
  tqdm==4.48.2              requires -

New dependencies found in this round:
  adding ['apipkg', '>=1.4', '[]']
  adding ['appdirs', '<2,>=1.4.3', '[]']
  adding ['bleach', '>=2.1.0', '[]']
  adding ['botocore', '<2.0a.0,==1.17.51,>=1.12.36', '[]']
  adding ['certifi', '>=2017.4.17', '[]']
  adding ['chardet', '<4,>=3.0.2', '[]']
  adding ['click', '>=7.1.2', '[]']
  adding ['dataclasses', '>=0.6', '[]']
  adding ['distlib', '<1,>=0.3.1', '[]']
  adding ['docutils', '<0.16,>=0.10,>=0.13.1', '[]']
  adding ['filelock', '<4,>=3.0.0', '[]']
  adding ['idna', '<3,>=2.5', '[]']
  adding ['importlib-resources', '>=1.0', '[]']
  adding ['jeepney', '>=0.4.2', '[]']
  adding ['jmespath', '<1.0.0,>=0.7.1', '[]']
  adding ['mccabe', '<0.7.0,>=0.6.0', '[]']
  adding ['mypy-extensions', '>=0.4.3', '[]']
  adding ['pathspec', '<1,>=0.6', '[]']
  adding ['pyasn1', '>=0.1.3', '[]']
  adding ['pycodestyle', '<2.7.0,>=2.6.0a1', '[]']
  adding ['pyflakes', '<2.3.0,>=2.2.0', '[]']
  adding ['pygments', '>=2.5.1', '[]']
  adding ['pyparsing', '>=2.0.2', '[]']
  adding ['pytest', '>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  adding ['python-dateutil', '<3.0.0,>=2.1', '[]']
  adding ['regex', '>=2020.1.8', '[]']
  adding ['requests', '<3.0.0,>=2.0.1,>=2.20', '[]']
  adding ['secretstorage', '>=3', '[]']
  adding ['six', '<2,>=1.14.0,>=1.9.0', '[]']
  adding ['toml', '>=0.10.1,>=0.9.4', '[]']
  adding ['typed-ast', '>=1.4.0', '[]']
  adding ['typing-extensions', '>=3.7.4', '[]']
  adding ['urllib3', '!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1', '[]']
  adding ['zipp', '>=0.5', '[]']
Removed dependencies in this round:
  removing ['botocore', '==1.17.51', '[]']
  removing ['docutils', '<0.16,>=0.10', '[]']
  removing ['filelock', '>=3.0.0', '[]']
  removing ['pytest', '>=3.5,>=3.5.0,>=4.6,>=6.0.0', '[]']
  removing ['requests', '>=2.20', '[]']
  removing ['six', '>=1.14.0', '[]']
  removing ['toml', '>=0.9.4', '[]']
------------------------------------------------------------
Result of round 2: not stable

                          ROUND 3
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.5)

Finding secondary dependencies:
  isort==5.4.2              requires -
  toml==0.10.1              requires -
  py==1.9.0                 requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pyyaml==5.3.1             requires -
  rsa==4.5                  requires pyasn1>=0.1.3
  pkginfo==1.5.0.1          requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  typed-ast==1.4.1          requires -
  chardet==3.0.4            requires -
  jeepney==0.4.3            requires -
  pathspec==0.8.0           requires -
  click==7.1.2              requires -
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  mccabe==0.6.1             requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pyparsing==2.4.7          requires -
  iniconfig==1.0.1          requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  docutils==0.15.2          requires -
  tqdm==4.48.2              requires -
  certifi==2020.6.20        requires -
  pyflakes==2.2.0           requires -
  pytest-forked==1.3.0      requires py, pytest>=3.10
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  attrs==20.1.0             requires -
  pyasn1==0.4.8             requires -
  setuptools==49.6.0        requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  mypy-extensions==0.4.3    requires -
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  python-dateutil==2.8.1    requires six>=1.5
  jmespath==0.10.0          requires -
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  typing-extensions==3.7.4.3 requires -
  apipkg==1.5               requires -
  urllib3==1.25.10          requires -
  appdirs==1.4.4            requires -
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  dataclasses==0.7          requires -
  six==1.15.0               requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  packaging==20.4           requires pyparsing>=2.0.2, six
  more-itertools==8.5.0     requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  colorama==0.4.3           requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  filelock==3.0.12          requires -
  pygments==2.6.1           requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  idna==2.10                requires -
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  distlib==0.3.1            requires -
  zipp==3.1.0               requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  regex==2020.7.14          requires -
  pycodestyle==2.6.0        requires -
  rfc3986==1.4.0            requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  wheel==0.35.1             requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  execnet==1.7.1            requires apipkg>=1.4
  coverage==5.2.1           requires -

New dependencies found in this round:
  adding ['cryptography', '', '[]']
  adding ['six', '<2,>=1.14.0,>=1.5,>=1.9.0', '[]']
  adding ['webencodings', '', '[]']
  adding ['zipp', '>=0.4,>=0.5', '[]']
Removed dependencies in this round:
  removing ['six', '<2,>=1.14.0,>=1.9.0', '[]']
  removing ['zipp', '>=0.5', '[]']
------------------------------------------------------------
Result of round 3: not stable

                          ROUND 4
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  distlib==0.3.1            requires -
  zipp==3.1.0               requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  webencodings==0.5.1       requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  python-dateutil==2.8.1    requires six>=1.5
  toml==0.10.1              requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  jmespath==0.10.0          requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  rsa==4.5                  requires pyasn1>=0.1.3
  typing-extensions==3.7.4.3 requires -
  wheel==0.35.1             requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  rfc3986==1.4.0            requires -
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pathspec==0.8.0           requires -
  pygments==2.6.1           requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  appdirs==1.4.4            requires -
  filelock==3.0.12          requires -
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  pytest-forked==1.3.0      requires py, pytest>=3.10
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  regex==2020.7.14          requires -
  pyyaml==5.3.1             requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  docutils==0.15.2          requires -
  mypy-extensions==0.4.3    requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  apipkg==1.5               requires -
  isort==5.4.2              requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  setuptools==49.6.0        requires -
  mccabe==0.6.1             requires -
  pyparsing==2.4.7          requires -
  pyasn1==0.4.8             requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  jeepney==0.4.3            requires -
  dataclasses==0.7          requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  pycodestyle==2.6.0        requires -
  pkginfo==1.5.0.1          requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  click==7.1.2              requires -
  iniconfig==1.0.1          requires -
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  six==1.15.0               requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  colorama==0.4.3           requires -
  typed-ast==1.4.1          requires -
  chardet==3.0.4            requires -
  more-itertools==8.5.0     requires -
  idna==2.10                requires -
  pyflakes==2.2.0           requires -
  certifi==2020.6.20        requires -
  urllib3==1.25.10          requires -
  packaging==20.4           requires pyparsing>=2.0.2, six
  coverage==5.2.1           requires -
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  py==1.9.0                 requires -
  attrs==20.1.0             requires -
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  execnet==1.7.1            requires apipkg>=1.4
  tqdm==4.48.2              requires -

New dependencies found in this round:
  adding ['cffi', '!=1.11.3,>=1.8', '[]']
  adding ['six', '<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0', '[]']
Removed dependencies in this round:
  removing ['six', '<2,>=1.14.0,>=1.5,>=1.9.0', '[]']
------------------------------------------------------------
Result of round 4: not stable

                          ROUND 5
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  cffi!=1.11.3,>=1.8 (from cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate cffi==1.14.2 (constraint was !=1.11.3,>=1.8)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.4.1,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  distlib==0.3.1            requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  execnet==1.7.1            requires apipkg>=1.4
  importlib-metadata==1.7.0 requires zipp>=0.5
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  tqdm==4.48.2              requires -
  pyyaml==5.3.1             requires -
  certifi==2020.6.20        requires -
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  pyasn1==0.4.8             requires -
  rfc3986==1.4.0            requires -
  rsa==4.5                  requires pyasn1>=0.1.3
  coverage==5.2.1           requires -
  dataclasses==0.7          requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  cffi==1.14.2              requires pycparser
  docutils==0.15.2          requires -
  jeepney==0.4.3            requires -
  attrs==20.1.0             requires -
  jmespath==0.10.0          requires -
  click==7.1.2              requires -
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  webencodings==0.5.1       requires -
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  iniconfig==1.0.1          requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  appdirs==1.4.4            requires -
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  zipp==3.1.0               requires -
  isort==5.4.2              requires -
  apipkg==1.5               requires -
  regex==2020.7.14          requires -
  pycodestyle==2.6.0        requires -
  pyflakes==2.2.0           requires -
  typed-ast==1.4.1          requires -
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  typing-extensions==3.7.4.3 requires -
  pyparsing==2.4.7          requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  pkginfo==1.5.0.1          requires -
  filelock==3.0.12          requires -
  colorama==0.4.3           requires -
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  py==1.9.0                 requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  chardet==3.0.4            requires -
  idna==2.10                requires -
  more-itertools==8.5.0     requires -
  pathspec==0.8.0           requires -
  mccabe==0.6.1             requires -
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  python-dateutil==2.8.1    requires six>=1.5
  toml==0.10.1              requires -
  urllib3==1.25.10          requires -
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  six==1.15.0               requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  packaging==20.4           requires pyparsing>=2.0.2, six
  pytest-forked==1.3.0      requires py, pytest>=3.10
  mypy-extensions==0.4.3    requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  pygments==2.6.1           requires -
  wheel==0.35.1             requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  setuptools==49.6.0        requires -

New dependencies found in this round:
  adding ['pycparser', '', '[]']
Removed dependencies in this round:
------------------------------------------------------------
Result of round 5: not stable

                          ROUND 6
Current constraints:
  apipkg>=1.4 (from execnet==1.7.1->pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  appdirs<2,>=1.4.3 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  attrs>=17.4.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  awscli (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  black (from pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  bleach>=2.1.0 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  botocore<2.0a.0,==1.17.51,>=1.12.36 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  certifi>=2017.4.17 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  cffi!=1.11.3,>=1.8 (from cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  chardet<4,>=3.0.2 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  click>=7.1.2 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  colorama<0.4.4,>=0.2.5,>=0.4.3 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  coverage>=4.4 (from pytest-cov==2.10.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  cryptography (from secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  dataclasses>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  distlib<1,>=0.3.1 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  docutils<0.16,>=0.10,>=0.13.1 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  execnet>=1.1 (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  filelock<4,>=3.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  flake8>=3.5 (from pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  idna<3,>=2.5 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  importlib-metadata<2,>=0.12 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  importlib-resources>=1.0 (from virtualenv==20.0.31->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  iniconfig (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  isort>=4.0 (from pytest-isort==1.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  jeepney>=0.4.2 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  jmespath<1.0.0,>=0.7.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  keyring>=15.1 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  mccabe<0.7.0,>=0.6.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  more-itertools>=4.0.0 (from pytest==6.0.1->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  mypy-extensions>=0.4.3 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  packaging>=14 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pathspec<1,>=0.6 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pkginfo>=1.4.2 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pluggy<1.0,>=0.12,>=0.12.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  py>=1.4.17,>=1.8.2 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pyasn1>=0.1.3 (from rsa==4.5->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pycodestyle<2.7.0,>=2.6.0a1 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pycparser (from cffi==1.14.2->cryptography==3.1->secretstorage==3.1.2->keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyflakes<2.3.0,>=2.2.0 (from flake8==3.8.3->pytest-flake8==1.0.6->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pygments>=2.5.1 (from readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  pyparsing>=2.0.2 (from packaging==20.4->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  pytest>=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 7))
  pytest-black (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  pytest-cov (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 3))
  pytest-flake8>=1.0.1 (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 9))
  pytest-forked (from pytest-xdist==2.1.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  pytest-isort (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 10))
  pytest-xdist (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 11))
  python-dateutil<3.0.0,>=2.1 (from botocore==1.17.51->awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  pyyaml<5.4,>=3.10 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  readme-renderer>=21.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  regex>=2020.1.8 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  requests<3.0.0,>=2.0.1,>=2.20 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  requests-toolbelt!=0.9.0,>=0.8.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rfc3986>=1.4.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  rsa<=4.5.0,>=3.1.2 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  s3transfer<0.4.0,>=0.3.0 (from awscli==1.18.128->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 6))
  secretstorage>=3 (from keyring==21.3.1->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  setuptools>=0.7.0 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  six<2,>=1.14.0,>=1.4.1,>=1.5,>=1.9.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  toml>=0.10.1,>=0.9.4 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tox (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  tqdm>=4.14 (from twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  twine (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  typed-ast>=1.4.0 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  typing-extensions>=3.7.4 (from black==20.8b1->pytest-black==0.3.10->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 8))
  urllib3!=1.25.0,!=1.25.1,<1.26,>=1.20,>=1.21.1 (from requests==2.24.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0 (from tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))
  webencodings (from bleach==3.1.5->readme-renderer==26.0->twine==3.2.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 5))
  wheel (from -r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 4))
  zipp>=0.4,>=0.5 (from importlib-metadata==1.7.0->tox==3.19.0->-r /tmp/pipenv6gai8uktrequirements/pipenv-ugodbk18-constraints.txt (line 2))

Finding the best candidates:
  found candidate apipkg==1.5 (constraint was >=1.4)
  found candidate appdirs==1.4.4 (constraint was >=1.4.3,<2)
  found candidate attrs==20.1.0 (constraint was >=17.4.0)
  found candidate awscli==1.18.128 (constraint was <any>)
  found candidate black==20.8b1 (constraint was <any>)
  found candidate bleach==3.1.5 (constraint was >=2.1.0)
  found candidate botocore==1.17.51 (constraint was >=1.12.36,==1.17.51,<2.0a.0)
  found candidate certifi==2020.6.20 (constraint was >=2017.4.17)
  found candidate cffi==1.14.2 (constraint was !=1.11.3,>=1.8)
  found candidate chardet==3.0.4 (constraint was >=3.0.2,<4)
  found candidate click==7.1.2 (constraint was >=7.1.2)
  found candidate colorama==0.4.3 (constraint was >=0.2.5,>=0.4.3,<0.4.4)
  found candidate coverage==5.2.1 (constraint was >=4.4)
  found candidate cryptography==3.1 (constraint was <any>)
  found candidate dataclasses==0.7 (constraint was >=0.6)
  found candidate distlib==0.3.1 (constraint was >=0.3.1,<1)
  found candidate docutils==0.15.2 (constraint was >=0.10,>=0.13.1,<0.16)
  found candidate execnet==1.7.1 (constraint was >=1.1)
  found candidate filelock==3.0.12 (constraint was >=3.0.0,<4)
  found candidate flake8==3.8.3 (constraint was >=3.5)
  found candidate idna==2.10 (constraint was >=2.5,<3)
  found candidate importlib-metadata==1.7.0 (constraint was >=0.12,<2)
  found candidate importlib-resources==3.0.0 (constraint was >=1.0)
  found candidate iniconfig==1.0.1 (constraint was <any>)
  found candidate isort==5.4.2 (constraint was >=4.0)
  found candidate jeepney==0.4.3 (constraint was >=0.4.2)
  found candidate jmespath==0.10.0 (constraint was >=0.7.1,<1.0.0)
  found candidate keyring==21.3.1 (constraint was >=15.1)
  found candidate mccabe==0.6.1 (constraint was >=0.6.0,<0.7.0)
  found candidate more-itertools==8.5.0 (constraint was >=4.0.0)
  found candidate mypy-extensions==0.4.3 (constraint was >=0.4.3)
  found candidate packaging==20.4 (constraint was >=14)
  found candidate pathspec==0.8.0 (constraint was >=0.6,<1)
  found candidate pkginfo==1.5.0.1 (constraint was >=1.4.2)
  found candidate pluggy==0.13.1 (constraint was >=0.12,>=0.12.0,<1.0)
  found candidate py==1.9.0 (constraint was >=1.4.17,>=1.8.2)
  found candidate pyasn1==0.4.8 (constraint was >=0.1.3)
  found candidate pycodestyle==2.6.0 (constraint was >=2.6.0a1,<2.7.0)
  found candidate pycparser==2.20 (constraint was <any>)
  found candidate pyflakes==2.2.0 (constraint was >=2.2.0,<2.3.0)
  found candidate pygments==2.6.1 (constraint was >=2.5.1)
  found candidate pyparsing==2.4.7 (constraint was >=2.0.2)
  found candidate pytest==6.0.1 (constraint was >=3.10,>=3.5,>=3.5.0,>=4.6,>=6.0.0)
  found candidate pytest-black==0.3.10 (constraint was <any>)
  found candidate pytest-cov==2.10.1 (constraint was <any>)
  found candidate pytest-flake8==1.0.6 (constraint was >=1.0.1)
  found candidate pytest-forked==1.3.0 (constraint was <any>)
  found candidate pytest-isort==1.1.0 (constraint was <any>)
  found candidate pytest-xdist==2.1.0 (constraint was <any>)
  found candidate python-dateutil==2.8.1 (constraint was >=2.1,<3.0.0)
  found candidate pyyaml==5.3.1 (constraint was >=3.10,<5.4)
  found candidate readme-renderer==26.0 (constraint was >=21.0)
  found candidate regex==2020.7.14 (constraint was >=2020.1.8)
  found candidate requests==2.24.0 (constraint was >=2.0.1,>=2.20,<3.0.0)
  found candidate requests-toolbelt==0.9.1 (constraint was >=0.8.0,!=0.9.0)
  found candidate rfc3986==1.4.0 (constraint was >=1.4.0)
  found candidate rsa==4.5 (constraint was >=3.1.2,<=4.5.0)
  found candidate s3transfer==0.3.3 (constraint was >=0.3.0,<0.4.0)
  found candidate secretstorage==3.1.2 (constraint was >=3)
  found candidate setuptools==49.6.0 (constraint was >=0.7.0)
  found candidate six==1.15.0 (constraint was >=1.14.0,>=1.4.1,>=1.5,>=1.9.0,<2)
  found candidate toml==0.10.1 (constraint was >=0.10.1,>=0.9.4)
  found candidate tox==3.19.0 (constraint was <any>)
  found candidate tqdm==4.48.2 (constraint was >=4.14)
  found candidate twine==3.2.0 (constraint was <any>)
  found candidate typed-ast==1.4.1 (constraint was >=1.4.0)
  found candidate typing-extensions==3.7.4.3 (constraint was >=3.7.4)
  found candidate urllib3==1.25.10 (constraint was >=1.20,>=1.21.1,!=1.25.0,!=1.25.1,<1.26)
  found candidate virtualenv==20.0.31 (constraint was >=16.0.0,!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7)
  found candidate webencodings==0.5.1 (constraint was <any>)
  found candidate wheel==0.35.1 (constraint was <any>)
  found candidate zipp==3.1.0 (constraint was >=0.4,>=0.5)

Finding secondary dependencies:
  packaging==20.4           requires pyparsing>=2.0.2, six
  appdirs==1.4.4            requires -
  chardet==3.0.4            requires -
  pyyaml==5.3.1             requires -
  pycodestyle==2.6.0        requires -
  certifi==2020.6.20        requires -
  attrs==20.1.0             requires -
  dataclasses==0.7          requires -
  pyflakes==2.2.0           requires -
  idna==2.10                requires -
  bleach==3.1.5             requires packaging, six>=1.9.0, webencodings
  pytest==6.0.1             requires attrs>=17.4.0, importlib-metadata>=0.12; python_version < "3.8", iniconfig, more-itertools>=4.0.0, packaging, pluggy<1.0,>=0.12, py>=1.8.2, toml
  importlib-metadata==1.7.0 requires zipp>=0.5
  regex==2020.7.14          requires -
  cffi==1.14.2              requires pycparser
  jmespath==0.10.0          requires -
  apipkg==1.5               requires -
  rfc3986==1.4.0            requires -
  mccabe==0.6.1             requires -
  webencodings==0.5.1       requires -
  pytest-forked==1.3.0      requires py, pytest>=3.10
  toml==0.10.1              requires -
  awscli==1.18.128          requires botocore==1.17.51, colorama<0.4.4,>=0.2.5; python_version != "3.4", docutils<0.16,>=0.10, pyyaml<5.4,>=3.10; python_version != "3.4", rsa<=4.5.0,>=3.1.2; python_version != "3.4", s3transfer<0.4.0,>=0.3.0
  iniconfig==1.0.1          requires -
  pluggy==0.13.1            requires importlib-metadata>=0.12; python_version < "3.8"
  pytest-flake8==1.0.6      requires flake8>=3.5, pytest>=3.5
  typing-extensions==3.7.4.3 requires -
  jeepney==0.4.3            requires -
  pyparsing==2.4.7          requires -
  python-dateutil==2.8.1    requires six>=1.5
  twine==3.2.0              requires colorama>=0.4.3, importlib-metadata; python_version < "3.8", keyring>=15.1, pkginfo>=1.4.2, readme-renderer>=21.0, requests-toolbelt!=0.9.0,>=0.8.0, requests>=2.20, rfc3986>=1.4.0, setuptools>=0.7.0, tqdm>=4.14
  filelock==3.0.12          requires -
  click==7.1.2              requires -
  secretstorage==3.1.2      requires cryptography, jeepney>=0.4.2
  importlib-resources==3.0.0 requires zipp>=0.4; python_version < "3.8"
  isort==5.4.2              requires -
  readme-renderer==26.0     requires bleach>=2.1.0, docutils>=0.13.1, pygments>=2.5.1, six
  pygments==2.6.1           requires -
  pytest-isort==1.1.0       requires isort>=4.0, pytest>=3.5
  coverage==5.2.1           requires -
  mypy-extensions==0.4.3    requires -
  requests==2.24.0          requires certifi>=2017.4.17, chardet<4,>=3.0.2, idna<3,>=2.5, urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  requests-toolbelt==0.9.1  requires requests<3.0.0,>=2.0.1
  cryptography==3.1         requires cffi!=1.11.3,>=1.8, six>=1.4.1
  virtualenv==20.0.31       requires appdirs<2,>=1.4.3, distlib<1,>=0.3.1, filelock<4,>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", importlib-resources>=1.0; python_version < "3.7", six<2,>=1.9.0
  execnet==1.7.1            requires apipkg>=1.4
  pytest-black==0.3.10      requires black, pytest>=3.5.0, toml
  docutils==0.15.2          requires -
  tqdm==4.48.2              requires -
  distlib==0.3.1            requires -
  tox==3.19.0               requires filelock>=3.0.0, importlib-metadata<2,>=0.12; python_version < "3.8", packaging>=14, pluggy>=0.12.0, py>=1.4.17, six>=1.14.0, toml>=0.9.4, virtualenv!=20.0.0,!=20.0.1,!=20.0.2,!=20.0.3,!=20.0.4,!=20.0.5,!=20.0.6,!=20.0.7,>=16.0.0
  wheel==0.35.1             requires -
  zipp==3.1.0               requires -
  pycparser==2.20           requires -
  more-itertools==8.5.0     requires -
  pathspec==0.8.0           requires -
  flake8==3.8.3             requires importlib-metadata; python_version < "3.8", mccabe<0.7.0,>=0.6.0, pycodestyle<2.7.0,>=2.6.0a1, pyflakes<2.3.0,>=2.2.0
  pytest-xdist==2.1.0       requires execnet>=1.1, pytest-forked, pytest>=6.0.0
  rsa==4.5                  requires pyasn1>=0.1.3
  botocore==1.17.51         requires docutils<0.16,>=0.10, jmespath<1.0.0,>=0.7.1, python-dateutil<3.0.0,>=2.1, urllib3<1.26,>=1.20; python_version != "3.4"
  setuptools==49.6.0        requires -
  black==20.8b1             requires appdirs, click>=7.1.2, dataclasses>=0.6; python_version < "3.7", mypy-extensions>=0.4.3, pathspec<1,>=0.6, regex>=2020.1.8, toml>=0.10.1, typed-ast>=1.4.0, typing-extensions>=3.7.4
  six==1.15.0               requires -
  typed-ast==1.4.1          requires -
  pkginfo==1.5.0.1          requires -
  urllib3==1.25.10          requires -
  colorama==0.4.3           requires -
  keyring==21.3.1           requires importlib-metadata; python_version < "3.8", jeepney>=0.4.2; sys_platform == "linux", secretstorage>=3; sys_platform == "linux"
  s3transfer==0.3.3         requires botocore<2.0a.0,>=1.12.36
  pytest-cov==2.10.1        requires coverage>=4.4, pytest>=4.6
  pyasn1==0.4.8             requires -
  py==1.9.0                 requires -
------------------------------------------------------------
Result of round 6: stable, done

Generating hashes:
  packaging
  appdirs
  chardet
  pyyaml
  pycodestyle
  attrs
  certifi
  regex
  dataclasses
  bleach
  idna
  rfc3986
  importlib-metadata
  webencodings
  cffi
  jmespath
  apipkg
  pytest
  mccabe
  pyflakes
  pytest-forked
  toml
  awscli
  py
  iniconfig
  pluggy
  pytest-flake8
  typing-extensions
  jeepney
  pyparsing
  python-dateutil
  twine
  filelock
  click
  secretstorage
  importlib-resources
  isort
  readme-renderer
  pygments
  pytest-isort
  coverage
  mypy-extensions
  requests
  requests-toolbelt
  cryptography
  virtualenv
  execnet
  pytest-black
  docutils
  tqdm
  distlib
  tox
  wheel
  zipp
  pycparser
  more-itertools
  pathspec
  flake8
  pytest-xdist
  botocore
  six
  black
  typed-ast
  urllib3
  pkginfo
  colorama
  keyring
  s3transfer
  pytest-cov
  pyasn1
  rsa
✔ Success!
Locking [packages] dependencies…
Building requirements...
Traceback (most recent call last):
  File "/usr/local/bin/pipenv", line 8, in <module>
    sys.exit(cli())
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/decorators.py", line 73, in new_func
    return ctx.invoke(f, obj, *args, **kwargs)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/click/decorators.py", line 21, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/cli/command.py", line 591, in update
    write=not state.quiet,
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/core.py", line 1113, in do_lock
    keep_outdated=keep_outdated
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/utils.py", line 1318, in venv_resolve_deps
    deps, project, r=False, include_index=True
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/utils.py", line 1434, in convert_deps_to_pip
    new_dep = Requirement.from_pipfile(dep_name, dep)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 2741, in from_pipfile
    r = FileRequirement.from_pipfile(name, pipfile)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 1841, in from_pipfile
    arg_dict["setup_info"] = arg_dict["parsed_line"].setup_info
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 813, in setup_info
    self.setup_info = self.get_setup_info()
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 802, in get_setup_info
    setup_info = SetupInfo.from_ireq(self.ireq, subdir=self.subdirectory)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1924, in from_ireq
    ireq.source_dir, subdirectory=subdir, ireq=ireq, kwargs=kwargs, stack=stack
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1960, in create
    created.get_initial_info()
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1790, in get_initial_info
    self.update_from_dict(self.parse_setup_py())
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1532, in parse_setup_py
    parsed = ast_parse_setup_py(self.setup_py.as_posix())
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1217, in ast_parse_setup_py
    ast_analyzer = ast_parse_file(path)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1211, in ast_parse_file
    ast_analyzer.visit(tree)
  File "/usr/lib/python3.6/ast.py", line 253, in visit
    return visitor(node)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 714, in generic_visit
    super(Analyzer, self).generic_visit(node)
  File "/usr/lib/python3.6/ast.py", line 261, in generic_visit
    self.visit(item)
  File "/usr/lib/python3.6/ast.py", line 253, in visit
    return visitor(node)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 714, in generic_visit
    super(Analyzer, self).generic_visit(node)
  File "/usr/lib/python3.6/ast.py", line 263, in generic_visit
    self.visit(value)
  File "/usr/lib/python3.6/ast.py", line 253, in visit
    return visitor(node)
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 707, in generic_visit
    self.function_map.update(ast_unparse(node, initial_mapping=True))
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1143, in ast_unparse
    for keyword in unparse(val):
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1173, in ast_unparse
    unparsed = type(item)([unparse(el) for el in item])
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1173, in <listcomp>
    unparsed = type(item)([unparse(el) for el in item])
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1146, in ast_unparse
    unparsed = {unparse(item.arg): unparse(item.value)}
  File "/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/setup_info.py", line 1006, in ast_unparse
    unparsed = dict(zip(unparse(item.keys), unparse(item.values)))
TypeError: unhashable type: 'dict'

Steps to replicate

$ git clone https://github.com/laughingman7743/PyAthenaJDBC
$ cd PyAthenaJDBC/
$ pipenv update --dev

$ pipenv --support

Pipenv version: '2020.8.13'

Pipenv location: '/home/laughingman7743/.local/lib/python3.6/site-packages/pipenv'

Python location: '/usr/bin/python3'

Python installations found:

  • 3.6.9: /usr/bin/python3
  • 3.6.9: /usr/bin/python3.6
  • 3.6.9: /usr/bin/python3.6m

PEP 508 Information:

{'implementation_name': 'cpython',
 'implementation_version': '3.6.9',
 'os_name': 'posix',
 'platform_machine': 'x86_64',
 'platform_python_implementation': 'CPython',
 'platform_release': '4.4.0-18362-Microsoft',
 'platform_system': 'Linux',
 'platform_version': '#836-Microsoft Mon May 05 16:04:00 PST 2020',
 'python_full_version': '3.6.9',
 'python_version': '3.6',
 'sys_platform': 'linux'}

System environment variables:

  • ConEmuBuild
  • ConEmuPID
  • ConEmuServerPID
  • HOME
  • HOSTTYPE
  • LANG
  • LOGNAME
  • LS_COLORS
  • NAME
  • PATH
  • PWD
  • SHELL
  • SHLVL
  • TERM
  • USER
  • WSLENV
  • WSL_DISTRO_NAME
  • PIP_DISABLE_PIP_VERSION_CHECK
  • PYTHONDONTWRITEBYTECODE
  • PIP_SHIMS_BASE_MODULE
  • PIP_PYTHON_PATH
  • PYTHONFINDER_IGNORE_UNSUPPORTED

Pipenv–specific environment variables:

Debug–specific environment variables:

  • PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/mnt/c/Users/laughingman7743/bin/ConEmu/ConEmu/wsl:/mnt/c/Users/laughingman7743/bin/ConEmu/ConEmu/Scripts:/mnt/c/Users/laughingman7743/bin/ConEmu:/mnt/c/Users/laughingman7743/bin/ConEmu/ConEmu:/mnt/c/Program Files (x86)/Common Files/Oracle/Java/javapath:/mnt/c/Windows/system32:/mnt/c/Windows:/mnt/c/Windows/System32/Wbem:/mnt/c/Windows/System32/WindowsPowerShell/v1.0:/mnt/c/Windows/System32/OpenSSH:/mnt/c/Program Files (x86)/Kensington/TrackballWorks:/mnt/c/Users/laughingman7743/AppData/Local/Programs/Python/Python37/Scripts:/mnt/c/Users/laughingman7743/AppData/Local/Programs/Python/Python37:/mnt/c/Users/laughingman7743/AppData/Local/Microsoft/WindowsApps:/mnt/c/Users/laughingman7743/AppData/Local/Programs/Microsoft VS Code/bin:/mnt/c/Users/laughingman7743/AppData/Local/Google/Cloud SDK/google-cloud-sdk/bin
  • SHELL: /bin/bash
  • LANG: C.UTF-8
  • PWD: /mnt/c/Users/laughingman7743/github/PyAthenaJDBC

Contents of Pipfile ('/mnt/c/Users/laughingman7743/github/PyAthenaJDBC/Pipfile'):

[[source]]
url = "https://pypi.python.org/simple"
verify_ssl = true
name = "pypi"

[pipenv]
allow_prereleases = true

[packages]
"e1839a8" = {path = ".", extras = ["sqlalchemy", "pandas"], editable = true}

[dev-packages]
awscli = "*"
tox = "*"
twine = "*"
wheel = "*"
pytest = ">=3.5"
pytest-cov = "*"
pytest-flake8 = ">=1.0.1"
pytest-black = "*"
pytest-isort = "*"
pytest-xdist = "*"

Contents of Pipfile.lock ('/mnt/c/Users/laughingman7743/github/PyAthenaJDBC/Pipfile.lock'):

{
    "_meta": {
        "hash": {
            "sha256": "d58bd09a928275f86cb6f3f4787f14242d35317998bad2b3cb006a23626080e7"
        },
        "pipfile-spec": 6,
        "requires": {},
        "sources": [
            {
                "name": "pypi",
                "url": "https://pypi.python.org/simple",
                "verify_ssl": true
            }
        ]
    },
    "default": {
        "e1839a8": {
            "editable": true,
            "extras": [
                "sqlalchemy",
                "pandas"
            ],
            "path": "."
        },
        "future": {
            "hashes": [
                "sha256:b1bead90b70cf6ec3f0710ae53a525360fa360d306a86583adc6bf83a4db537d"
            ],
            "version": "==0.18.2"
        },
        "jpype1": {
            "hashes": [
                "sha256:1630439d5b0fb49e2878b43a1a1f074f9d4f46520f525569e14f1f0f9399f871",
                "sha256:215b44d6ab50b84a1876dbaf6e879080ab80224fd4482c738aeb513874090a76",
                "sha256:2eedeb610a1c750b238f7f47f9d87466c123c73f994cdc00fb989f3df0a36a83",
                "sha256:67fb41407d233868c5822b2ee7efa74c91c9b4bcd03459121c4f86677370f3e5",
                "sha256:6c2d30314f0661356b08dc30550b809d9f3e0fe2e1bc88c5b46c7625134fecda",
                "sha256:8a2a0141efa69c2ffd76cea5eef123ec475efc3a42f6613330c412a0826f2515",
                "sha256:ceb7f5c4a87886baa071e2e2ddf1a1fb57e9c1e8775e41bf16a487ec046f6d59",
                "sha256:e838ffe46636368bbf981d844cefbc6f6a07086d19127cdc646c07fabc70926b",
                "sha256:f7fd1be0f7b653db156977ad90a8a3dd970662faca5f63f857589a9091fdbf0e"
            ],
            "version": "==0.7.0"
        },
        "numpy": {
            "hashes": [
                "sha256:082f8d4dd69b6b688f64f509b91d482362124986d98dc7dc5f5e9f9b9c3bb983",
                "sha256:1bc0145999e8cb8aed9d4e65dd8b139adf1919e521177f198529687dbf613065",
                "sha256:309cbcfaa103fc9a33ec16d2d62569d541b79f828c382556ff072442226d1968",
                "sha256:3673c8b2b29077f1b7b3a848794f8e11f401ba0b71c49fbd26fb40b71788b132",
                "sha256:480fdd4dbda4dd6b638d3863da3be82873bba6d32d1fc12ea1b8486ac7b8d129",
                "sha256:56ef7f56470c24bb67fb43dae442e946a6ce172f97c69f8d067ff8550cf782ff",
                "sha256:5a936fd51049541d86ccdeef2833cc89a18e4d3808fe58a8abeb802665c5af93",
                "sha256:5b6885c12784a27e957294b60f97e8b5b4174c7504665333c5e94fbf41ae5d6a",
                "sha256:667c07063940e934287993366ad5f56766bc009017b4a0fe91dbd07960d0aba7",
                "sha256:7ed448ff4eaffeb01094959b19cbaf998ecdee9ef9932381420d514e446601cd",
                "sha256:8343bf67c72e09cfabfab55ad4a43ce3f6bf6e6ced7acf70f45ded9ebb425055",
                "sha256:92feb989b47f83ebef246adabc7ff3b9a59ac30601c3f6819f8913458610bdcc",
                "sha256:935c27ae2760c21cd7354402546f6be21d3d0c806fffe967f745d5f2de5005a7",
                "sha256:aaf42a04b472d12515debc621c31cf16c215e332242e7a9f56403d814c744624",
                "sha256:b12e639378c741add21fbffd16ba5ad25c0a1a17cf2b6fe4288feeb65144f35b",
                "sha256:b1cca51512299841bf69add3b75361779962f9cee7d9ee3bb446d5982e925b69",
                "sha256:b8456987b637232602ceb4d663cb34106f7eb780e247d51a260b84760fd8f491",
                "sha256:b9792b0ac0130b277536ab8944e7b754c69560dac0415dd4b2dbd16b902c8954",
                "sha256:c9591886fc9cbe5532d5df85cb8e0cc3b44ba8ce4367bd4cf1b93dc19713da72",
                "sha256:cf1347450c0b7644ea142712619533553f02ef23f92f781312f6a3553d031fc7",
                "sha256:de8b4a9b56255797cbddb93281ed92acbc510fb7b15df3f01bd28f46ebc4edae",
                "sha256:e1b1dc0372f530f26a03578ac75d5e51b3868b9b76cd2facba4c9ee0eb252ab1",
                "sha256:e45f8e981a0ab47103181773cc0a54e650b2aef8c7b6cd07405d0fa8d869444a",
                "sha256:e4f6d3c53911a9d103d8ec9518190e52a8b945bab021745af4939cfc7c0d4a9e",
                "sha256:ed8a311493cf5480a2ebc597d1e177231984c818a86875126cfd004241a73c3e",
                "sha256:ef71a1d4fd4858596ae80ad1ec76404ad29701f8ca7cdcebc50300178db14dfc"
            ],
            "version": "==1.19.1"
        },
        "pandas": {
            "hashes": [
                "sha256:01b1e536eb960822c5e6b58357cad8c4b492a336f4a5630bf0b598566462a578",
                "sha256:0246c67cbaaaac8d25fed8d4cf2d8897bd858f0e540e8528a75281cee9ac516d",
                "sha256:0366150fe8ee37ef89a45d3093e05026b5f895e42bbce3902ce3b6427f1b8471",
                "sha256:16ae070c47474008769fc443ac765ffd88c3506b4a82966e7a605592978896f9",
                "sha256:1acc2bd7fc95e5408a4456897c2c2a1ae7c6acefe108d90479ab6d98d34fcc3d",
                "sha256:391db82ebeb886143b96b9c6c6166686c9a272d00020e4e39ad63b792542d9e2",
                "sha256:41675323d4fcdd15abde068607cad150dfe17f7d32290ee128e5fea98442bd09",
                "sha256:53328284a7bb046e2e885fd1b8c078bd896d7fc4575b915d4936f54984a2ba67",
                "sha256:57c5f6be49259cde8e6f71c2bf240a26b071569cabc04c751358495d09419e56",
                "sha256:84c101d0f7bbf0d9f1be9a2f29f6fcc12415442558d067164e50a56edfb732b4",
                "sha256:88930c74f69e97b17703600233c0eaf1f4f4dd10c14633d522724c5c1b963ec4",
                "sha256:8c9ec12c480c4d915e23ee9c8a2d8eba8509986f35f307771045c1294a2e5b73",
                "sha256:a81c4bf9c59010aa3efddbb6b9fc84a9b76dc0b4da2c2c2d50f06a9ef6ac0004",
                "sha256:d9644ac996149b2a51325d48d77e25c911e01aa6d39dc1b64be679cd71f683ec",
                "sha256:e4b6c98f45695799990da328e6fd7d6187be32752ed64c2f22326ad66762d179",
                "sha256:fe6f1623376b616e03d51f0dd95afd862cf9a33c18cf55ce0ed4bbe1c4444391"
            ],
            "version": "==1.1.1"
        },
        "python-dateutil": {
            "hashes": [
                "sha256:73ebfe9dbf22e832286dafa60473e4cd239f8592f699aa5adaf10050e6e1823c",
                "sha256:75bb3f31ea686f1197762692a9ee6a7550b59fc6ca3a1f4b5d7e32fb98e2da2a"
            ],
            "version": "==2.8.1"
        },
        "pytz": {
            "hashes": [
                "sha256:a494d53b6d39c3c6e44c3bec237336e14305e4f29bbf800b599253057fbb79ed",
                "sha256:c35965d010ce31b23eeb663ed3cc8c906275d6be1a34393a1d73a41febf4a048"
            ],
            "version": "==2020.1"
        },
        "six": {
            "hashes": [
                "sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259",
                "sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced"
            ],
            "version": "==1.15.0"
        },
        "sqlalchemy": {
            "hashes": [
                "sha256:072766c3bd09294d716b2d114d46ffc5ccf8ea0b714a4e1c48253014b771c6bb",
                "sha256:107d4af989831d7b091e382d192955679ec07a9209996bf8090f1f539ffc5804",
                "sha256:15c0bcd3c14f4086701c33a9e87e2c7ceb3bcb4a246cd88ec54a49cf2a5bd1a6",
                "sha256:26c5ca9d09f0e21b8671a32f7d83caad5be1f6ff45eef5ec2f6fd0db85fc5dc0",
                "sha256:276936d41111a501cf4a1a0543e25449108d87e9f8c94714f7660eaea89ae5fe",
                "sha256:3292a28344922415f939ee7f4fc0c186f3d5a0bf02192ceabd4f1129d71b08de",
                "sha256:33d29ae8f1dc7c75b191bb6833f55a19c932514b9b5ce8c3ab9bc3047da5db36",
                "sha256:3bba2e9fbedb0511769780fe1d63007081008c5c2d7d715e91858c94dbaa260e",
                "sha256:465c999ef30b1c7525f81330184121521418a67189053bcf585824d833c05b66",
                "sha256:51064ee7938526bab92acd049d41a1dc797422256086b39c08bafeffb9d304c6",
                "sha256:5a49e8473b1ab1228302ed27365ea0fadd4bf44bc0f9e73fe38e10fdd3d6b4fc",
                "sha256:618db68745682f64cedc96ca93707805d1f3a031747b5a0d8e150cfd5055ae4d",
                "sha256:6547b27698b5b3bbfc5210233bd9523de849b2bb8a0329cd754c9308fc8a05ce",
                "sha256:6557af9e0d23f46b8cd56f8af08eaac72d2e3c632ac8d5cf4e20215a8dca7cea",
                "sha256:73a40d4fcd35fdedce07b5885905753d5d4edf413fbe53544dd871f27d48bd4f",
                "sha256:8280f9dae4adb5889ce0bb3ec6a541bf05434db5f9ab7673078c00713d148365",
                "sha256:83469ad15262402b0e0974e612546bc0b05f379b5aa9072ebf66d0f8fef16bea",
                "sha256:860d0fe234922fd5552b7f807fbb039e3e7ca58c18c8d38aa0d0a95ddf4f6c23",
                "sha256:883c9fb62cebd1e7126dd683222b3b919657590c3e2db33bdc50ebbad53e0338",
                "sha256:8afcb6f4064d234a43fea108859942d9795c4060ed0fbd9082b0f280181a15c1",
                "sha256:96f51489ac187f4bab588cf51f9ff2d40b6d170ac9a4270ffaed535c8404256b",
                "sha256:9e865835e36dfbb1873b65e722ea627c096c11b05f796831e3a9b542926e979e",
                "sha256:aa0554495fe06172b550098909be8db79b5accdf6ffb59611900bea345df5eba",
                "sha256:b595e71c51657f9ee3235db8b53d0b57c09eee74dfb5b77edff0e46d2218dc02",
                "sha256:b6ff91356354b7ff3bd208adcf875056d3d886ed7cef90c571aef2ab8a554b12",
                "sha256:b70bad2f1a5bd3460746c3fb3ab69e4e0eb5f59d977a23f9b66e5bdc74d97b86",
                "sha256:c7adb1f69a80573698c2def5ead584138ca00fff4ad9785a4b0b2bf927ba308d",
                "sha256:c898b3ebcc9eae7b36bd0b4bbbafce2d8076680f6868bcbacee2d39a7a9726a7",
                "sha256:e49947d583fe4d29af528677e4f0aa21f5e535ca2ae69c48270ebebd0d8843c0",
                "sha256:eb1d71643e4154398b02e88a42fc8b29db8c44ce4134cf0f4474bfc5cb5d4dac",
                "sha256:f2e8a9c0c8813a468aa659a01af6592f71cd30237ec27c4cc0683f089f90dcfc",
                "sha256:fe7fe11019fc3e6600819775a7d55abc5446dda07e9795f5954fdbf8a49e1c37"
            ],
            "version": "==1.3.19"
        }
    },
    "develop": {
        "apipkg": {
            "hashes": [
                "sha256:37228cda29411948b422fae072f57e31d3396d2ee1c9783775980ee9c9990af6",
                "sha256:58587dd4dc3daefad0487f6d9ae32b4542b185e1c36db6993290e7c41ca2b47c"
            ],
            "version": "==1.5"
        },
        "appdirs": {
            "hashes": [
                "sha256:7d5d0167b2b1ba821647616af46a749d1c653740dd0d2415100fe26e27afdf41",
                "sha256:a841dacd6b99318a741b166adb07e19ee71a274450e68237b4650ca1055ab128"
            ],
            "version": "==1.4.4"
        },
        "attrs": {
            "hashes": [
                "sha256:0ef97238856430dcf9228e07f316aefc17e8939fc8507e18c6501b761ef1a42a",
                "sha256:2867b7b9f8326499ab5b0e2d12801fa5c98842d2cbd22b35112ae04bf85b4dff"
            ],
            "version": "==20.1.0"
        },
        "awscli": {
            "hashes": [
                "sha256:c146c1634edbedc32564c536afcaaaeedc3ecc5aa9db3cf64fe5870c1c1a2a32",
                "sha256:e094505f698981417612d8204d55631e741b5ae8c3f81762ef5197737b286a5a"
            ],
            "index": "pypi",
            "version": "==1.18.128"
        },
        "black": {
            "hashes": [
                "sha256:1c02557aa099101b9d21496f8a914e9ed2222ef70336404eeeac8edba836fbea",
                "sha256:70b62ef1527c950db59062cda342ea224d772abdf6adc58b86a45421bab20a6b"
            ],
            "version": "==20.8b1"
        },
        "bleach": {
            "hashes": [
                "sha256:2bce3d8fab545a6528c8fa5d9f9ae8ebc85a56da365c7f85180bfe96a35ef22f",
                "sha256:3c4c520fdb9db59ef139915a5db79f8b51bc2a7257ea0389f30c846883430a4b"
            ],
            "version": "==3.1.5"
        },
        "botocore": {
            "hashes": [
                "sha256:198a62d387eb64b4c1dde33a9c41e96b07884c68c1442dd7c7d38123592aae7c",
                "sha256:5f984def778b0000a12cf28ec727d64634ca46ab0dcdb5ce8b654bfb2a1fb99c"
            ],
            "version": "==1.17.51"
        },
        "certifi": {
            "hashes": [
                "sha256:5930595817496dd21bb8dc35dad090f1c2cd0adfaf21204bf6732ca5d8ee34d3",
                "sha256:8fc0819f1f30ba15bdb34cceffb9ef04d99f420f68eb75d901e9560b8749fc41"
            ],
            "version": "==2020.6.20"
        },
        "cffi": {
            "hashes": [
                "sha256:0da50dcbccd7cb7e6c741ab7912b2eff48e85af217d72b57f80ebc616257125e",
                "sha256:12a453e03124069b6896107ee133ae3ab04c624bb10683e1ed1c1663df17c13c",
                "sha256:15419020b0e812b40d96ec9d369b2bc8109cc3295eac6e013d3261343580cc7e",
                "sha256:15a5f59a4808f82d8ec7364cbace851df591c2d43bc76bcbe5c4543a7ddd1bf1",
                "sha256:23e44937d7695c27c66a54d793dd4b45889a81b35c0751ba91040fe825ec59c4",
                "sha256:29c4688ace466a365b85a51dcc5e3c853c1d283f293dfcc12f7a77e498f160d2",
                "sha256:57214fa5430399dffd54f4be37b56fe22cedb2b98862550d43cc085fb698dc2c",
                "sha256:577791f948d34d569acb2d1add5831731c59d5a0c50a6d9f629ae1cefd9ca4a0",
                "sha256:6539314d84c4d36f28d73adc1b45e9f4ee2a89cdc7e5d2b0a6dbacba31906798",
                "sha256:65867d63f0fd1b500fa343d7798fa64e9e681b594e0a07dc934c13e76ee28fb1",
                "sha256:672b539db20fef6b03d6f7a14b5825d57c98e4026401fce838849f8de73fe4d4",
                "sha256:6843db0343e12e3f52cc58430ad559d850a53684f5b352540ca3f1bc56df0731",
                "sha256:7057613efefd36cacabbdbcef010e0a9c20a88fc07eb3e616019ea1692fa5df4",
                "sha256:76ada88d62eb24de7051c5157a1a78fd853cca9b91c0713c2e973e4196271d0c",
                "sha256:837398c2ec00228679513802e3744d1e8e3cb1204aa6ad408b6aff081e99a487",
                "sha256:8662aabfeab00cea149a3d1c2999b0731e70c6b5bac596d95d13f643e76d3d4e",
                "sha256:95e9094162fa712f18b4f60896e34b621df99147c2cee216cfa8f022294e8e9f",
                "sha256:99cc66b33c418cd579c0f03b77b94263c305c389cb0c6972dac420f24b3bf123",
                "sha256:9b219511d8b64d3fa14261963933be34028ea0e57455baf6781fe399c2c3206c",
                "sha256:ae8f34d50af2c2154035984b8b5fc5d9ed63f32fe615646ab435b05b132ca91b",
                "sha256:b9aa9d8818c2e917fa2c105ad538e222a5bce59777133840b93134022a7ce650",
                "sha256:bf44a9a0141a082e89c90e8d785b212a872db793a0080c20f6ae6e2a0ebf82ad",
                "sha256:c0b48b98d79cf795b0916c57bebbc6d16bb43b9fc9b8c9f57f4cf05881904c75",
                "sha256:da9d3c506f43e220336433dffe643fbfa40096d408cb9b7f2477892f369d5f82",
                "sha256:e4082d832e36e7f9b2278bc774886ca8207346b99f278e54c9de4834f17232f7",
                "sha256:e4b9b7af398c32e408c00eb4e0d33ced2f9121fd9fb978e6c1b57edd014a7d15",
                "sha256:e613514a82539fc48291d01933951a13ae93b6b444a88782480be32245ed4afa",
                "sha256:f5033952def24172e60493b68717792e3aebb387a8d186c43c020d9363ee7281"
            ],
            "version": "==1.14.2"
        },
        "chardet": {
            "hashes": [
                "sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae",
                "sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691"
            ],
            "version": "==3.0.4"
        },
        "click": {
            "hashes": [
                "sha256:d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a",
                "sha256:dacca89f4bfadd5de3d7489b7c8a566eee0d3676333fbb50030263894c38c0dc"
            ],
            "version": "==7.1.2"
        },
        "colorama": {
            "hashes": [
                "sha256:7d73d2a99753107a36ac6b455ee49046802e59d9d076ef8e47b61499fa29afff",
                "sha256:e96da0d330793e2cb9485e9ddfd918d456036c7149416295932478192f4436a1"
            ],
            "markers": "python_version != '3.4'",
            "version": "==0.4.3"
        },
        "coverage": {
            "hashes": [
                "sha256:098a703d913be6fbd146a8c50cc76513d726b022d170e5e98dc56d958fd592fb",
                "sha256:16042dc7f8e632e0dcd5206a5095ebd18cb1d005f4c89694f7f8aafd96dd43a3",
                "sha256:1adb6be0dcef0cf9434619d3b892772fdb48e793300f9d762e480e043bd8e716",
                "sha256:27ca5a2bc04d68f0776f2cdcb8bbd508bbe430a7bf9c02315cd05fb1d86d0034",
                "sha256:28f42dc5172ebdc32622a2c3f7ead1b836cdbf253569ae5673f499e35db0bac3",
                "sha256:2fcc8b58953d74d199a1a4d633df8146f0ac36c4e720b4a1997e9b6327af43a8",
                "sha256:304fbe451698373dc6653772c72c5d5e883a4aadaf20343592a7abb2e643dae0",
                "sha256:30bc103587e0d3df9e52cd9da1dd915265a22fad0b72afe54daf840c984b564f",
                "sha256:40f70f81be4d34f8d491e55936904db5c527b0711b2a46513641a5729783c2e4",
                "sha256:4186fc95c9febeab5681bc3248553d5ec8c2999b8424d4fc3a39c9cba5796962",
                "sha256:46794c815e56f1431c66d81943fa90721bb858375fb36e5903697d5eef88627d",
                "sha256:4869ab1c1ed33953bb2433ce7b894a28d724b7aa76c19b11e2878034a4e4680b",
                "sha256:4f6428b55d2916a69f8d6453e48a505c07b2245653b0aa9f0dee38785939f5e4",
                "sha256:52f185ffd3291196dc1aae506b42e178a592b0b60a8610b108e6ad892cfc1bb3",
                "sha256:538f2fd5eb64366f37c97fdb3077d665fa946d2b6d95447622292f38407f9258",
                "sha256:64c4f340338c68c463f1b56e3f2f0423f7b17ba6c3febae80b81f0e093077f59",
                "sha256:675192fca634f0df69af3493a48224f211f8db4e84452b08d5fcebb9167adb01",
                "sha256:700997b77cfab016533b3e7dbc03b71d33ee4df1d79f2463a318ca0263fc29dd",
                "sha256:8505e614c983834239f865da2dd336dcf9d72776b951d5dfa5ac36b987726e1b",
                "sha256:962c44070c281d86398aeb8f64e1bf37816a4dfc6f4c0f114756b14fc575621d",
                "sha256:9e536783a5acee79a9b308be97d3952b662748c4037b6a24cbb339dc7ed8eb89",
                "sha256:9ea749fd447ce7fb1ac71f7616371f04054d969d412d37611716721931e36efd",
                "sha256:a34cb28e0747ea15e82d13e14de606747e9e484fb28d63c999483f5d5188e89b",
                "sha256:a3ee9c793ffefe2944d3a2bd928a0e436cd0ac2d9e3723152d6fd5398838ce7d",
                "sha256:aab75d99f3f2874733946a7648ce87a50019eb90baef931698f96b76b6769a46",
                "sha256:b1ed2bdb27b4c9fc87058a1cb751c4df8752002143ed393899edb82b131e0546",
                "sha256:b360d8fd88d2bad01cb953d81fd2edd4be539df7bfec41e8753fe9f4456a5082",
                "sha256:b8f58c7db64d8f27078cbf2a4391af6aa4e4767cc08b37555c4ae064b8558d9b",
                "sha256:c1bbb628ed5192124889b51204de27c575b3ffc05a5a91307e7640eff1d48da4",
                "sha256:c2ff24df02a125b7b346c4c9078c8936da06964cc2d276292c357d64378158f8",
                "sha256:c890728a93fffd0407d7d37c1e6083ff3f9f211c83b4316fae3778417eab9811",
                "sha256:c96472b8ca5dc135fb0aa62f79b033f02aa434fb03a8b190600a5ae4102df1fd",
                "sha256:ce7866f29d3025b5b34c2e944e66ebef0d92e4a4f2463f7266daa03a1332a651",
                "sha256:e26c993bd4b220429d4ec8c1468eca445a4064a61c74ca08da7429af9bc53bb0"
            ],
            "version": "==5.2.1"
        },
        "cryptography": {
            "hashes": [
                "sha256:10c9775a3f31610cf6b694d1fe598f2183441de81cedcf1814451ae53d71b13a",
                "sha256:180c9f855a8ea280e72a5d61cf05681b230c2dce804c48e9b2983f491ecc44ed",
                "sha256:247df238bc05c7d2e934a761243bfdc67db03f339948b1e2e80c75d41fc7cc36",
                "sha256:26409a473cc6278e4c90f782cd5968ebad04d3911ed1c402fc86908c17633e08",
                "sha256:2a27615c965173c4c88f2961cf18115c08fedfb8bdc121347f26e8458dc6d237",
                "sha256:2e26223ac636ca216e855748e7d435a1bf846809ed12ed898179587d0cf74618",
                "sha256:321761d55fb7cb256b771ee4ed78e69486a7336be9143b90c52be59d7657f50f",
                "sha256:4005b38cd86fc51c955db40b0f0e52ff65340874495af72efabb1bb8ca881695",
                "sha256:4b9e96543d0784acebb70991ebc2dbd99aa287f6217546bb993df22dd361d41c",
                "sha256:548b0818e88792318dc137d8b1ec82a0ab0af96c7f0603a00bb94f896fbf5e10",
                "sha256:725875681afe50b41aee7fdd629cedbc4720bab350142b12c55c0a4d17c7416c",
                "sha256:7a63e97355f3cd77c94bd98c59cb85fe0efd76ea7ef904c9b0316b5bbfde6ed1",
                "sha256:94191501e4b4009642be21dde2a78bd3c2701a81ee57d3d3d02f1d99f8b64a9e",
                "sha256:969ae512a250f869c1738ca63be843488ff5cc031987d302c1f59c7dbe1b225f",
                "sha256:9f734423eb9c2ea85000aa2476e0d7a58e021bc34f0a373ac52a5454cd52f791",
                "sha256:b45ab1c6ece7c471f01c56f5d19818ca797c34541f0b2351635a5c9fe09ac2e0",
                "sha256:cc6096c86ec0de26e2263c228fb25ee01c3ff1346d3cfc219d67d49f303585af",
                "sha256:dc3f437ca6353979aace181f1b790f0fc79e446235b14306241633ab7d61b8f8",
                "sha256:e7563eb7bc5c7e75a213281715155248cceba88b11cb4b22957ad45b85903761",
                "sha256:e7dad66a9e5684a40f270bd4aee1906878193ae50a4831922e454a2a457f1716",
                "sha256:eb80a288e3cfc08f679f95da72d2ef90cb74f6d8a8ba69d2f215c5e110b2ca32",
                "sha256:fa7fbcc40e2210aca26c7ac8a39467eae444d90a2c346cbcffd9133a166bcc67"
            ],
            "version": "==3.1"
        },
        "dataclasses": {
            "hashes": [
                "sha256:3459118f7ede7c8bea0fe795bff7c6c2ce287d01dd226202f7c9ebc0610a7836",
                "sha256:494a6dcae3b8bcf80848eea2ef64c0cc5cd307ffc263e17cdf42f3e5420808e6"
            ],
            "markers": "python_version < '3.7'",
            "version": "==0.7"
        },
        "distlib": {
            "hashes": [
                "sha256:8c09de2c67b3e7deef7184574fc060ab8a793e7adbb183d942c389c8b13c52fb",
                "sha256:edf6116872c863e1aa9d5bb7cb5e05a022c519a4594dc703843343a9ddd9bff1"
            ],
            "version": "==0.3.1"
        },
        "docutils": {
            "hashes": [
                "sha256:6c4f696463b79f1fb8ba0c594b63840ebd41f059e92b31957c46b74a4599b6d0",
                "sha256:9e4d7ecfc600058e07ba661411a2b7de2fd0fafa17d1a7f7361cd47b1175c827",
                "sha256:a2aeea129088da402665e92e0b25b04b073c04b2dce4ab65caaa38b7ce2e1a99"
            ],
            "version": "==0.15.2"
        },
        "execnet": {
            "hashes": [
                "sha256:cacb9df31c9680ec5f95553976c4da484d407e85e41c83cb812aa014f0eddc50",
                "sha256:d4efd397930c46415f62f8a31388d6be4f27a91d7550eb79bc64a756e0056547"
            ],
            "version": "==1.7.1"
        },
        "filelock": {
            "hashes": [
                "sha256:18d82244ee114f543149c66a6e0c14e9c4f8a1044b5cdaadd0f82159d6a6ff59",
                "sha256:929b7d63ec5b7d6b71b0fa5ac14e030b3f70b75747cef1b10da9b879fef15836"
            ],
            "version": "==3.0.12"
        },
        "flake8": {
            "hashes": [
                "sha256:15e351d19611c887e482fb960eae4d44845013cc142d42896e9862f775d8cf5c",
                "sha256:f04b9fcbac03b0a3e58c0ab3a0ecc462e023a9faf046d57794184028123aa208"
            ],
            "version": "==3.8.3"
        },
        "idna": {
            "hashes": [
                "sha256:b307872f855b18632ce0c21c5e45be78c0ea7ae4c15c828c20788b26921eb3f6",
                "sha256:b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0"
            ],
            "version": "==2.10"
        },
        "importlib-metadata": {
            "hashes": [
                "sha256:90bb658cdbbf6d1735b6341ce708fc7024a3e14e99ffdc5783edea9f9b077f83",
                "sha256:dc15b2969b4ce36305c51eebe62d418ac7791e9a157911d58bfb1f9ccd8e2070"
            ],
            "markers": "python_version < '3.8'",
            "version": "==1.7.0"
        },
        "importlib-resources": {
            "hashes": [
                "sha256:19f745a6eca188b490b1428c8d1d4a0d2368759f32370ea8fb89cad2ab1106c3",
                "sha256:d028f66b66c0d5732dae86ba4276999855e162a749c92620a38c1d779ed138a7"
            ],
            "markers": "python_version < '3.7'",
            "version": "==3.0.0"
        },
        "iniconfig": {
            "hashes": [
                "sha256:80cf40c597eb564e86346103f609d74efce0f6b4d4f30ec8ce9e2c26411ba437",
                "sha256:e5f92f89355a67de0595932a6c6c02ab4afddc6fcdc0bfc5becd0d60884d3f69"
            ],
            "version": "==1.0.1"
        },
        "isort": {
            "hashes": [
                "sha256:60a1b97e33f61243d12647aaaa3e6cc6778f5eb9f42997650f1cc975b6008750",
                "sha256:d488ba1c5a2db721669cc180180d5acf84ebdc5af7827f7aaeaa75f73cf0e2b8"
            ],
            "version": "==5.4.2"
        },
        "jeepney": {
            "hashes": [
                "sha256:3479b861cc2b6407de5188695fa1a8d57e5072d7059322469b62628869b8e36e",
                "sha256:d6c6b49683446d2407d2fe3acb7a368a77ff063f9182fe427da15d622adc24cf"
            ],
            "markers": "sys_platform == 'linux'",
            "version": "==0.4.3"
        },
        "jmespath": {
            "hashes": [
                "sha256:b85d0567b8666149a93172712e68920734333c0ce7e89b78b3e987f71e5ed4f9",
                "sha256:cdf6525904cc597730141d61b36f2e4b8ecc257c420fa2f4549bac2c2d0cb72f"
            ],
            "version": "==0.10.0"
        },
        "keyring": {
            "hashes": [
                "sha256:182f94fc0381546489e3e4d90384a8c1d43cc09ffe2eb4a826e7312df6e1be7c",
                "sha256:cd4d486803d55bdb13e2d453eb61dbbc984773e4f2b98a455aa85b1f4bc421e4"
            ],
            "version": "==21.3.1"
        },
        "mccabe": {
            "hashes": [
                "sha256:ab8a6258860da4b6677da4bd2fe5dc2c659cff31b3ee4f7f5d64e79735b80d42",
                "sha256:dd8d182285a0fe56bace7f45b5e7d1a6ebcbf524e8f3bd87eb0f125271b8831f"
            ],
            "version": "==0.6.1"
        },
        "more-itertools": {
            "hashes": [
                "sha256:6f83822ae94818eae2612063a5101a7311e68ae8002005b5e05f03fd74a86a20",
                "sha256:9b30f12df9393f0d28af9210ff8efe48d10c94f73e5daf886f10c4b0b0b4f03c"
            ],
            "version": "==8.5.0"
        },
        "mypy-extensions": {
            "hashes": [
                "sha256:090fedd75945a69ae91ce1303b5824f428daf5a028d2f6ab8a299250a846f15d",
                "sha256:2d82818f5bb3e369420cb3c4060a7970edba416647068eb4c5343488a6c604a8"
            ],
            "version": "==0.4.3"
        },
        "packaging": {
            "hashes": [
                "sha256:4357f74f47b9c12db93624a82154e9b120fa8293699949152b22065d556079f8",
                "sha256:998416ba6962ae7fbd6596850b80e17859a5753ba17c32284f67bfff33784181"
            ],
            "version": "==20.4"
        },
        "pathspec": {
            "hashes": [
                "sha256:7d91249d21749788d07a2d0f94147accd8f845507400749ea19c1ec9054a12b0",
                "sha256:da45173eb3a6f2a5a487efba21f050af2b41948be6ab52b6a1e3ff22bb8b7061"
            ],
            "version": "==0.8.0"
        },
        "pkginfo": {
            "hashes": [
                "sha256:7424f2c8511c186cd5424bbf31045b77435b37a8d604990b79d4e70d741148bb",
                "sha256:a6d9e40ca61ad3ebd0b72fbadd4fba16e4c0e4df0428c041e01e06eb6ee71f32"
            ],
            "version": "==1.5.0.1"
        },
        "pluggy": {
            "hashes": [
                "sha256:15b2acde666561e1298d71b523007ed7364de07029219b604cf808bfa1c765b0",
                "sha256:966c145cd83c96502c3c3868f50408687b38434af77734af1e9ca461a4081d2d"
            ],
            "version": "==0.13.1"
        },
        "py": {
            "hashes": [
                "sha256:366389d1db726cd2fcfc79732e75410e5fe4d31db13692115529d34069a043c2",
                "sha256:9ca6883ce56b4e8da7e79ac18787889fa5206c79dcc67fb065376cd2fe03f342"
            ],
            "version": "==1.9.0"
        },
        "pyasn1": {
            "hashes": [
                "sha256:39c7e2ec30515947ff4e87fb6f456dfc6e84857d34be479c9d4a4ba4bf46aa5d",
                "sha256:aef77c9fb94a3ac588e87841208bdec464471d9871bd5050a287cc9a475cd0ba"
            ],
            "version": "==0.4.8"
        },
        "pycodestyle": {
            "hashes": [
                "sha256:2295e7b2f6b5bd100585ebcb1f616591b652db8a741695b3d8f5d28bdc934367",
                "sha256:c58a7d2815e0e8d7972bf1803331fb0152f867bd89adf8a01dfd55085434192e"
            ],
            "version": "==2.6.0"
        },
        "pycparser": {
            "hashes": [
                "sha256:2d475327684562c3a96cc71adf7dc8c4f0565175cf86b6d7a404ff4c771f15f0",
                "sha256:7582ad22678f0fcd81102833f60ef8d0e57288b6b5fb00323d101be910e35705"
            ],
            "version": "==2.20"
        },
        "pyflakes": {
            "hashes": [
                "sha256:0d94e0e05a19e57a99444b6ddcf9a6eb2e5c68d3ca1e98e90707af8152c90a92",
                "sha256:35b2d75ee967ea93b55750aa9edbbf72813e06a66ba54438df2cfac9e3c27fc8"
            ],
            "version": "==2.2.0"
        },
        "pygments": {
            "hashes": [
                "sha256:647344a061c249a3b74e230c739f434d7ea4d8b1d5f3721bc0f3558049b38f44",
                "sha256:ff7a40b4860b727ab48fad6360eb351cc1b33cbf9b15a0f689ca5353e9463324"
            ],
            "version": "==2.6.1"
        },
        "pyparsing": {
            "hashes": [
                "sha256:1060635ca5ac864c2b7bc7b05a448df4e32d7d8c65e33cbe1514810d339672a2",
                "sha256:56a551039101858c9e189ac9e66e330a03fb7079e97ba6b50193643905f450ce"
            ],
            "version": "==3.0.0a2"
        },
        "pytest": {
            "hashes": [
                "sha256:85228d75db9f45e06e57ef9bf4429267f81ac7c0d742cc9ed63d09886a9fe6f4",
                "sha256:8b6007800c53fdacd5a5c192203f4e531eb2a1540ad9c752e052ec0f7143dbad"
            ],
            "index": "pypi",
            "version": "==6.0.1"
        },
        "pytest-black": {
            "hashes": [
                "sha256:5f3c0cfee9b41e6281a9e52e2987f4c90ec4a13a92bbf2f249d26d7b58747437"
            ],
            "index": "pypi",
            "version": "==0.3.10"
        },
        "pytest-cov": {
            "hashes": [
                "sha256:45ec2d5182f89a81fc3eb29e3d1ed3113b9e9a873bcddb2a71faaab066110191",
                "sha256:47bd0ce14056fdd79f93e1713f88fad7bdcc583dcd7783da86ef2f085a0bb88e"
            ],
            "index": "pypi",
            "version": "==2.10.1"
        },
        "pytest-flake8": {
            "hashes": [
                "sha256:1b82bb58c88eb1db40524018d3fcfd0424575029703b4e2d8e3ee873f2b17027",
                "sha256:2e91578ecd9b200066f99c1e1de0f510fbb85bcf43712d46ea29fe47607cc234"
            ],
            "index": "pypi",
            "version": "==1.0.6"
        },
        "pytest-forked": {
            "hashes": [
                "sha256:6aa9ac7e00ad1a539c41bec6d21011332de671e938c7637378ec9710204e37ca",
                "sha256:dc4147784048e70ef5d437951728825a131b81714b398d5d52f17c7c144d8815"
            ],
            "version": "==1.3.0"
        },
        "pytest-isort": {
            "hashes": [
                "sha256:30bd29927ac1b92f0701c1c43de52abaf7ccedaec8f8c9775dfab4ee51d74006",
                "sha256:e952482dd56cbc9b0cbd748d7734e856c4acbb1db6c4acd92259136e78a41db5"
            ],
            "index": "pypi",
            "version": "==1.1.0"
        },
        "pytest-xdist": {
            "hashes": [
                "sha256:7c629016b3bb006b88ac68e2b31551e7becf173c76b977768848e2bbed594d90",
                "sha256:82d938f1a24186520e2d9d3a64ef7d9ac7ecdf1a0659e095d18e596b8cbd0672"
            ],
            "index": "pypi",
            "version": "==2.1.0"
        },
        "python-dateutil": {
            "hashes": [
                "sha256:73ebfe9dbf22e832286dafa60473e4cd239f8592f699aa5adaf10050e6e1823c",
                "sha256:75bb3f31ea686f1197762692a9ee6a7550b59fc6ca3a1f4b5d7e32fb98e2da2a"
            ],
            "version": "==2.8.1"
        },
        "pyyaml": {
            "hashes": [
                "sha256:06a0d7ba600ce0b2d2fe2e78453a470b5a6e000a985dd4a4e54e436cc36b0e97",
                "sha256:240097ff019d7c70a4922b6869d8a86407758333f02203e0fc6ff79c5dcede76",
                "sha256:4f4b913ca1a7319b33cfb1369e91e50354d6f07a135f3b901aca02aa95940bd2",
                "sha256:69f00dca373f240f842b2931fb2c7e14ddbacd1397d57157a9b005a6a9942648",
                "sha256:73f099454b799e05e5ab51423c7bcf361c58d3206fa7b0d555426b1f4d9a3eaf",
                "sha256:74809a57b329d6cc0fdccee6318f44b9b8649961fa73144a98735b0aaf029f1f",
                "sha256:7739fc0fa8205b3ee8808aea45e968bc90082c10aef6ea95e855e10abf4a37b2",
                "sha256:95f71d2af0ff4227885f7a6605c37fd53d3a106fcab511b8860ecca9fcf400ee",
                "sha256:b8eac752c5e14d3eca0e6dd9199cd627518cb5ec06add0de9d32baeee6fe645d",
                "sha256:cc8955cfbfc7a115fa81d85284ee61147059a753344bc51098f3ccd69b0d7e0c",
                "sha256:d13155f591e6fcc1ec3b30685d50bf0711574e2c0dfffd7644babf8b5102ca1a"
            ],
            "markers": "python_version != '3.4'",
            "version": "==5.3.1"
        },
        "readme-renderer": {
            "hashes": [
                "sha256:cbe9db71defedd2428a1589cdc545f9bd98e59297449f69d721ef8f1cfced68d",
                "sha256:cc4957a803106e820d05d14f71033092537a22daa4f406dfbdd61177e0936376"
            ],
            "version": "==26.0"
        },
        "regex": {
            "hashes": [
                "sha256:0dc64ee3f33cd7899f79a8d788abfbec168410be356ed9bd30bbd3f0a23a7204",
                "sha256:1269fef3167bb52631ad4fa7dd27bf635d5a0790b8e6222065d42e91bede4162",
                "sha256:14a53646369157baa0499513f96091eb70382eb50b2c82393d17d7ec81b7b85f",
                "sha256:3a3af27a8d23143c49a3420efe5b3f8cf1a48c6fc8bc6856b03f638abc1833bb",
                "sha256:46bac5ca10fb748d6c55843a931855e2727a7a22584f302dd9bb1506e69f83f6",
                "sha256:4c037fd14c5f4e308b8370b447b469ca10e69427966527edcab07f52d88388f7",
                "sha256:51178c738d559a2d1071ce0b0f56e57eb315bcf8f7d4cf127674b533e3101f88",
                "sha256:5ea81ea3dbd6767873c611687141ec7b06ed8bab43f68fad5b7be184a920dc99",
                "sha256:6961548bba529cac7c07af2fd4d527c5b91bb8fe18995fed6044ac22b3d14644",
                "sha256:75aaa27aa521a182824d89e5ab0a1d16ca207318a6b65042b046053cfc8ed07a",
                "sha256:7a2dd66d2d4df34fa82c9dc85657c5e019b87932019947faece7983f2089a840",
                "sha256:8a51f2c6d1f884e98846a0a9021ff6861bdb98457879f412fdc2b42d14494067",
                "sha256:9c568495e35599625f7b999774e29e8d6b01a6fb684d77dee1f56d41b11b40cd",
                "sha256:9eddaafb3c48e0900690c1727fba226c4804b8e6127ea409689c3bb492d06de4",
                "sha256:bbb332d45b32df41200380fff14712cb6093b61bd142272a10b16778c418e98e",
                "sha256:bc3d98f621898b4a9bc7fecc00513eec8f40b5b83913d74ccb445f037d58cd89",
                "sha256:c11d6033115dc4887c456565303f540c44197f4fc1a2bfb192224a301534888e",
                "sha256:c50a724d136ec10d920661f1442e4a8b010a4fe5aebd65e0c2241ea41dbe93dc",
                "sha256:d0a5095d52b90ff38592bbdc2644f17c6d495762edf47d876049cfd2968fbccf",
                "sha256:d6cff2276e502b86a25fd10c2a96973fdb45c7a977dca2138d661417f3728341",
                "sha256:e46d13f38cfcbb79bfdb2964b0fe12561fe633caf964a77a5f8d4e45fe5d2ef7"
            ],
            "version": "==2020.7.14"
        },
        "requests": {
            "hashes": [
                "sha256:b3559a131db72c33ee969480840fff4bb6dd111de7dd27c8ee1f820f4f00231b",
                "sha256:fe75cc94a9443b9246fc7049224f75604b113c36acb93f87b80ed42c44cbb898"
            ],
            "version": "==2.24.0"
        },
        "requests-toolbelt": {
            "hashes": [
                "sha256:380606e1d10dc85c3bd47bf5a6095f815ec007be7a8b69c878507068df059e6f",
                "sha256:968089d4584ad4ad7c171454f0a5c6dac23971e9472521ea3b6d49d610aa6fc0"
            ],
            "version": "==0.9.1"
        },
        "rfc3986": {
            "hashes": [
                "sha256:112398da31a3344dc25dbf477d8df6cb34f9278a94fee2625d89e4514be8bb9d",
                "sha256:af9147e9aceda37c91a05f4deb128d4b4b49d6b199775fd2d2927768abdc8f50"
            ],
            "version": "==1.4.0"
        },
        "rsa": {
            "hashes": [
                "sha256:35c5b5f6675ac02120036d97cf96f1fde4d49670543db2822ba5015e21a18032",
                "sha256:4d409f5a7d78530a4a2062574c7bd80311bc3af29b364e293aa9b03eea77714f"
            ],
            "markers": "python_version != '3.4'",
            "version": "==4.5"
        },
        "s3transfer": {
            "hashes": [
                "sha256:2482b4259524933a022d59da830f51bd746db62f047d6eb213f2f8855dcb8a13",
                "sha256:921a37e2aefc64145e7b73d50c71bb4f26f46e4c9f414dc648c6245ff92cf7db"
            ],
            "version": "==0.3.3"
        },
        "secretstorage": {
            "hashes": [
                "sha256:15da8a989b65498e29be338b3b279965f1b8f09b9668bd8010da183024c8bff6",
                "sha256:b5ec909dde94d4ae2fa26af7c089036997030f0cf0a5cb372b4cccabd81c143b"
            ],
            "markers": "sys_platform == 'linux'",
            "version": "==3.1.2"
        },
        "six": {
            "hashes": [
                "sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259",
                "sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced"
            ],
            "version": "==1.15.0"
        },
        "toml": {
            "hashes": [
                "sha256:926b612be1e5ce0634a2ca03470f95169cf16f939018233a670519cb4ac58b0f",
                "sha256:bda89d5935c2eac546d648028b9901107a595863cb36bae0c73ac804a9b4ce88"
            ],
            "version": "==0.10.1"
        },
        "tox": {
            "hashes": [
                "sha256:17e61a93afe5c49281fb969ab71f7a3f22d7586d1c56f9a74219910f356fe7d3",
                "sha256:3d94b6921a0b6dc90fd8128df83741f30bb41ccd6cd52d131a6a6944ca8f16e6"
            ],
            "index": "pypi",
            "version": "==3.19.0"
        },
        "tqdm": {
            "hashes": [
                "sha256:1a336d2b829be50e46b84668691e0a2719f26c97c62846298dd5ae2937e4d5cf",
                "sha256:564d632ea2b9cb52979f7956e093e831c28d441c11751682f84c86fc46e4fd21"
            ],
            "version": "==4.48.2"
        },
        "twine": {
            "hashes": [
                "sha256:34352fd52ec3b9d29837e6072d5a2a7c6fe4290e97bba46bb8d478b5c598f7ab",
                "sha256:ba9ff477b8d6de0c89dd450e70b2185da190514e91c42cc62f96850025c10472"
            ],
            "index": "pypi",
            "version": "==3.2.0"
        },
        "typed-ast": {
            "hashes": [
                "sha256:0666aa36131496aed8f7be0410ff974562ab7eeac11ef351def9ea6fa28f6355",
                "sha256:0c2c07682d61a629b68433afb159376e24e5b2fd4641d35424e462169c0a7919",
                "sha256:249862707802d40f7f29f6e1aad8d84b5aa9e44552d2cc17384b209f091276aa",
                "sha256:24995c843eb0ad11a4527b026b4dde3da70e1f2d8806c99b7b4a7cf491612652",
                "sha256:269151951236b0f9a6f04015a9004084a5ab0d5f19b57de779f908621e7d8b75",
                "sha256:4083861b0aa07990b619bd7ddc365eb7fa4b817e99cf5f8d9cf21a42780f6e01",
                "sha256:498b0f36cc7054c1fead3d7fc59d2150f4d5c6c56ba7fb150c013fbc683a8d2d",
                "sha256:4e3e5da80ccbebfff202a67bf900d081906c358ccc3d5e3c8aea42fdfdfd51c1",
                "sha256:6daac9731f172c2a22ade6ed0c00197ee7cc1221aa84cfdf9c31defeb059a907",
                "sha256:715ff2f2df46121071622063fc7543d9b1fd19ebfc4f5c8895af64a77a8c852c",
                "sha256:73d785a950fc82dd2a25897d525d003f6378d1cb23ab305578394694202a58c3",
                "sha256:8c8aaad94455178e3187ab22c8b01a3837f8ee50e09cf31f1ba129eb293ec30b",
                "sha256:8ce678dbaf790dbdb3eba24056d5364fb45944f33553dd5869b7580cdbb83614",
                "sha256:aaee9905aee35ba5905cfb3c62f3e83b3bec7b39413f0a7f19be4e547ea01ebb",
                "sha256:bcd3b13b56ea479b3650b82cabd6b5343a625b0ced5429e4ccad28a8973f301b",
                "sha256:c9e348e02e4d2b4a8b2eedb48210430658df6951fa484e59de33ff773fbd4b41",
                "sha256:d205b1b46085271b4e15f670058ce182bd1199e56b317bf2ec004b6a44f911f6",
                "sha256:d43943ef777f9a1c42bf4e552ba23ac77a6351de620aa9acf64ad54933ad4d34",
                "sha256:d5d33e9e7af3b34a40dc05f498939f0ebf187f07c385fd58d591c533ad8562fe",
                "sha256:fc0fea399acb12edbf8a628ba8d2312f583bdbdb3335635db062fa98cf71fca4",
                "sha256:fe460b922ec15dd205595c9b5b99e2f056fd98ae8f9f56b888e7a17dc2b757e7"
            ],
            "version": "==1.4.1"
        },
        "typing-extensions": {
            "hashes": [
                "sha256:7cb407020f00f7bfc3cb3e7881628838e69d8f3fcab2f64742a5e76b2f841918",
                "sha256:99d4073b617d30288f569d3f13d2bd7548c3a7e4c8de87db09a9d29bb3a4a60c",
                "sha256:dafc7639cde7f1b6e1acc0f457842a83e722ccca8eef5270af2d74792619a89f"
            ],
            "version": "==3.7.4.3"
        },
        "urllib3": {
            "hashes": [
                "sha256:91056c15fa70756691db97756772bb1eb9678fa585d9184f24534b100dc60f4a",
                "sha256:e7983572181f5e1522d9c98453462384ee92a0be7fac5f1413a1e35c56cc0461"
            ],
            "markers": "python_version != '3.4'",
            "version": "==1.25.10"
        },
        "virtualenv": {
            "hashes": [
                "sha256:43add625c53c596d38f971a465553f6318decc39d98512bc100fa1b1e839c8dc",
                "sha256:e0305af10299a7fb0d69393d8f04cb2965dda9351140d11ac8db4e5e3970451b"
            ],
            "version": "==20.0.31"
        },
        "webencodings": {
            "hashes": [
                "sha256:a0af1213f3c2226497a97e2b3aa01a7e4bee4f403f95be16fc9acd2947514a78",
                "sha256:b36a1c245f2d304965eb4e0a82848379241dc04b865afcc4aab16748587e1923"
            ],
            "version": "==0.5.1"
        },
        "wheel": {
            "hashes": [
                "sha256:497add53525d16c173c2c1c733b8f655510e909ea78cc0e29d374243544b77a2",
                "sha256:99a22d87add3f634ff917310a3d87e499f19e663413a52eb9232c447aa646c9f"
            ],
            "index": "pypi",
            "version": "==0.35.1"
        },
        "zipp": {
            "hashes": [
                "sha256:aa36550ff0c0b7ef7fa639055d797116ee891440eac1a56f378e2d3179e0320b",
                "sha256:c599e4d75c98f6798c509911d08a22e6c021d074469042177c8c86fb92eefd96"
            ],
            "markers": "python_version < '3.8'",
            "version": "==3.1.0"
        }
    }
}
frostming added a commit that referenced this issue Sep 1, 2020
Fix #4446 function calls in ``setup.py`` can't be parsed rightly.
wip-sync pushed a commit to NetBSD/pkgsrc-wip that referenced this issue Jan 21, 2022
2022.1.8 (2022-01-08)
=====================

Bug Fixes
---------

- Remove the extra parentheses around the venv prompt.  `#4877 <https://github.com/pypa/pipenv/issues/4877>`_
- Fix a bug of installation fails when extra index url is given.  `#4881 <https://github.com/pypa/pipenv/issues/4881>`_
- Fix regression where lockfiles would only include the hashes for releases for the platform generating the lockfile  `#4885 <https://github.com/pypa/pipenv/issues/4885>`_
- Fix the index parsing to reject illegal requirements.txt.  `#4899 <https://github.com/pypa/pipenv/issues/4899>`_

2021.11.23 (2021-11-23)
=======================

Bug Fixes
---------

- Update ``charset-normalizer`` from ``2.0.3`` to ``2.0.7``, this fixes an import error on Python 3.6.  `#4865 <https://github.com/pypa/pipenv/issues/4865>`_
- Fix a bug of deleting a virtualenv that is not managed by Pipenv.  `#4867 <https://github.com/pypa/pipenv/issues/4867>`_
- Fix a bug that source is not added to ``Pipfile`` when index url is given with ``pipenv install``.  `#4873 <https://github.com/pypa/pipenv/issues/4873>`_

2021.11.15 (2021-11-15)
=======================

Bug Fixes
---------

- Return an empty dict when ``PIPENV_DONT_LOAD_ENV`` is set.  `#4851 <https://github.com/pypa/pipenv/issues/4851>`_
- Don't use ``sys.executable`` when inside an activated venv.  `#4852 <https://github.com/pypa/pipenv/issues/4852>`_

Vendored Libraries
------------------

- Drop the vendored ``jinja2`` dependency as it is not needed any more.  `#4858 <https://github.com/pypa/pipenv/issues/4858>`_
- Update ``click`` from ``8.0.1`` to ``8.0.3``, to fix a problem with bash completion.  `#4860 <https://github.com/pypa/pipenv/issues/4860>`_
- Drop unused vendor ``chardet``.  `#4862 <https://github.com/pypa/pipenv/issues/4862>`_

Improved Documentation
----------------------

- Fix the documentation to reflect the fact that special characters must be percent-encoded in the URL.  `#4856 <https://github.com/pypa/pipenv/issues/4856>`_

2021.11.9 (2021-11-09)
======================

Features & Improvements
-----------------------

- Replace ``click-completion`` with ``click``'s own completion implementation.  `#4786 <https://github.com/pypa/pipenv/issues/4786>`_

Bug Fixes
---------

- Fix a bug that ``pipenv run`` doesn't set environment variables correctly.  `#4831 <https://github.com/pypa/pipenv/issues/4831>`_
- Fix a bug that certifi can't be loaded within ``notpip``'s vendor library. This makes several objects of ``pip`` fail to be imported.  `#4833 <https://github.com/pypa/pipenv/issues/4833>`_
- Fix a bug that ``3.10.0`` can be found be python finder.  `#4837 <https://github.com/pypa/pipenv/issues/4837>`_

Vendored Libraries
------------------

- Update ``pythonfinder`` from ``1.2.8`` to ``1.2.9``.  `#4837 <https://github.com/pypa/pipenv/issues/4837>`_

2021.11.5.post0 (2021-11-05)
============================

Bug Fixes
---------

- Fix a regression that ``pipenv shell`` fails to start a subshell.  `#4828 <https://github.com/pypa/pipenv/issues/4828>`_
- Fix a regression that ``pip_shims`` object isn't imported correctly.  `#4829 <https://github.com/pypa/pipenv/issues/4829>`_

2021.11.5 (2021-11-05)
======================

Features & Improvements
-----------------------

- Avoid sharing states but create project objects on demand. So that most integration test cases are able to switch to a in-process execution method.  `#4757 <https://github.com/pypa/pipenv/issues/4757>`_
- Shell-quote ``pip`` commands when logging.  `#4760 <https://github.com/pypa/pipenv/issues/4760>`_

Bug Fixes
---------

- Ignore empty .venv in rood dir and create project name base virtual environment  `#4790 <https://github.com/pypa/pipenv/issues/4790>`_

Vendored Libraries
------------------

- Update vendored dependencies
  - ``attrs`` from ``20.3.0`` to ``21.2.0``
  - ``cerberus`` from ``1.3.2`` to ``1.3.4``
  - ``certifi`` from ``2020.11.8`` to ``2021.5.30``
  - ``chardet`` from ``3.0.4`` to ``4.0.0``
  - ``click`` from ``7.1.2`` to ``8.0.1``
  - ``distlib`` from ``0.3.1`` to ``0.3.2``
  - ``idna`` from ``2.10`` to ``3.2``
  - ``importlib-metadata`` from ``2.0.0`` to ``4.6.1``
  - ``importlib-resources`` from ``3.3.0`` to ``5.2.0``
  - ``jinja2`` from ``2.11.2`` to ``3.0.1``
  - ``markupsafe`` from ``1.1.1`` to ``2.0.1``
  - ``more-itertools`` from ``5.0.0`` to ``8.8.0``
  - ``packaging`` from ``20.8`` to ``21.0``
  - ``pep517`` from ``0.9.1`` to ``0.11.0``
  - ``pipdeptree`` from ``1.0.0`` to ``2.0.0``
  - ``ptyprocess`` from ``0.6.0`` to ``0.7.0``
  - ``python-dateutil`` from ``2.8.1`` to ``2.8.2``
  - ``python-dotenv`` from ``0.15.0`` to ``0.19.0``
  - ``pythonfinder`` from ``1.2.5`` to ``1.2.8``
  - ``requests`` from ``2.25.0`` to ``2.26.0``
  - ``shellingham`` from ``1.3.2`` to ``1.4.0``
  - ``six`` from ``1.15.0`` to ``1.16.0``
  - ``tomlkit`` from ``0.7.0`` to ``0.7.2``
  - ``urllib3`` from ``1.26.1`` to ``1.26.6``
  - ``zipp`` from ``1.2.0`` to ``3.5.0``

  Add new vendored dependencies
  - ``charset-normalizer 2.0.3``
  - ``termcolor 1.1.0``
  - ``tomli 1.1.0``
  - ``wheel 0.36.2``  `#4747 <https://github.com/pypa/pipenv/issues/4747>`_
- Drop the dependencies for Python 2.7 compatibility purpose.  `#4751 <https://github.com/pypa/pipenv/issues/4751>`_
- Switch the dependency resolver from ``pip-tools`` to `pip`.

  Update vendor libraries:
  - Update ``requirementslib`` from ``1.5.16`` to ``1.6.1``
  - Update ``pip-shims`` from ``0.5.6`` to ``0.6.0``
  - New vendor ``platformdirs 2.4.0``  `#4759 <https://github.com/pypa/pipenv/issues/4759>`_

Improved Documentation
----------------------

- remove prefixes on install commands for easy copy/pasting  `#4792 <https://github.com/pypa/pipenv/issues/4792>`_
- Officially drop support for Python 2.7 and Python 3.5.  `#4261 <https://github.com/pypa/pipenv/issues/4261>`_

2021.5.29 (2021-05-29)
======================

Bug Fixes
---------

- Fix a bug where passing --skip-lock when PIPFILE has no [SOURCE] section throws the error: "tomlkit.exceptions.NonExistentKey: 'Key "source" does not exist.'"  `#4141 <https://github.com/pypa/pipenv/issues/4141>`_
- Fix bug where environment wouldn't activate in paths containing & and $ symbols  `#4538 <https://github.com/pypa/pipenv/issues/4538>`_
- Fix a bug that ``importlib-metadata`` from the project's dependencies conflicts with that from ``pipenv``'s.  `#4549 <https://github.com/pypa/pipenv/issues/4549>`_
- Fix a bug where ``pep508checker.py`` did not expect double-digit Python minor versions (e.g. "3.10").  `#4602 <https://github.com/pypa/pipenv/issues/4602>`_
- Fix bug where environment wouldn't activate in paths containing () and [] symbols  `#4615 <https://github.com/pypa/pipenv/issues/4615>`_
- Fix bug preventing use of pipenv lock --pre  `#4642 <https://github.com/pypa/pipenv/issues/4642>`_

Vendored Libraries
------------------

- Update ``packaging`` from ``20.4`` to ``20.8``.  `#4591 <https://github.com/pypa/pipenv/issues/4591>`_

2020.11.15 (2020-11-15)
=======================

Features & Improvements
-----------------------

- Support expanding environment variables in requirement URLs.  `#3516 <https://github.com/pypa/pipenv/issues/3516>`_
- Show warning message when a dependency is skipped in locking due to the mismatch of its markers.  `#4346 <https://github.com/pypa/pipenv/issues/4346>`_

Bug Fixes
---------

- Fix a bug that executable scripts with leading backslash can't be executed via ``pipenv run``.  `#4368 <https://github.com/pypa/pipenv/issues/4368>`_
- Fix a bug that VCS dependencies always satisfy even if the ref has changed.  `#4387 <https://github.com/pypa/pipenv/issues/4387>`_
- Restrict the acceptable hash type to SHA256 only.  `#4517 <https://github.com/pypa/pipenv/issues/4517>`_
- Fix the output of ``pipenv scripts`` under Windows platform.  `#4523 <https://github.com/pypa/pipenv/issues/4523>`_
- Fix a bug that the resolver takes wrong section to validate constraints.  `#4527 <https://github.com/pypa/pipenv/issues/4527>`_

Vendored Libraries
------------------

- Update vendored dependencies:
    - ``colorama`` from ``0.4.3`` to ``0.4.4``
    - ``python-dotenv`` from ``0.10.3`` to ``0.15.0``
    - ``first`` from ``2.0.1`` to ``2.0.2``
    - ``iso8601`` from ``0.1.12`` to ``0.1.13``
    - ``parse`` from ``1.15.0`` to ``1.18.0``
    - ``pipdeptree`` from ``0.13.2`` to ``1.0.0``
    - ``requests`` from ``2.23.0`` to ``2.25.0``
    - ``idna`` from ``2.9`` to ``2.10``
    - ``urllib3`` from ``1.25.9`` to ``1.26.1``
    - ``certifi`` from ``2020.4.5.1`` to ``2020.11.8``
    - ``requirementslib`` from ``1.5.15`` to ``1.5.16``
    - ``attrs`` from ``19.3.0`` to ``20.3.0``
    - ``distlib`` from ``0.3.0`` to ``0.3.1``
    - ``packaging`` from ``20.3`` to ``20.4``
    - ``six`` from ``1.14.0`` to ``1.15.0``
    - ``semver`` from ``2.9.0`` to ``2.13.0``
    - ``toml`` from ``0.10.1`` to ``0.10.2``
    - ``cached-property`` from ``1.5.1`` to ``1.5.2``
    - ``yaspin`` from ``0.14.3`` to ``1.2.0``
    - ``resolvelib`` from ``0.3.0`` to ``0.5.2``
    - ``pep517`` from ``0.8.2`` to ``0.9.1``
    - ``zipp`` from ``0.6.0`` to ``1.2.0``
    - ``importlib-metadata`` from ``1.6.0`` to ``2.0.0``
    - ``importlib-resources`` from ``1.5.0`` to ``3.3.0``  `#4533 <https://github.com/pypa/pipenv/issues/4533>`_

Improved Documentation
----------------------

- Fix suggested pyenv setup to avoid using shimmed interpreter  `#4534 <https://github.com/pypa/pipenv/issues/4534>`_

2020.11.4 (2020-11-04)
======================

Features & Improvements
-----------------------

- Add a new command ``pipenv scripts`` to display shortcuts from Pipfile.  `#3686 <https://github.com/pypa/pipenv/issues/3686>`_
- Retrieve package file hash from URL to accelerate the locking process.  `#3827 <https://github.com/pypa/pipenv/issues/3827>`_
- Add the missing ``--system`` option to ``pipenv sync``.  `#4441 <https://github.com/pypa/pipenv/issues/4441>`_
- Add a new option pair ``--header/--no-header`` to ``pipenv lock`` command,
  which adds a header to the generated requirements.txt  `#4443 <https://github.com/pypa/pipenv/issues/4443>`_

Bug Fixes
---------

- Fix a bug that percent encoded characters will be unquoted incorrectly in the file URL.  `#4089 <https://github.com/pypa/pipenv/issues/4089>`_
- Fix a bug where setting PIPENV_PYTHON to file path breaks environment name  `#4225 <https://github.com/pypa/pipenv/issues/4225>`_
- Fix a bug that paths are not normalized before comparison.  `#4330 <https://github.com/pypa/pipenv/issues/4330>`_
- Handle Python major and minor versions correctly in Pipfile creation.  `#4379 <https://github.com/pypa/pipenv/issues/4379>`_
- Fix a bug that non-wheel file requirements can be resolved successfully.  `#4386 <https://github.com/pypa/pipenv/issues/4386>`_
- Fix a bug that ``pexept.exceptions.TIMEOUT`` is not caught correctly because of the wrong import path.  `#4424 <https://github.com/pypa/pipenv/issues/4424>`_
- Fix a bug that compound TOML table is not parsed correctly.  `#4433 <https://github.com/pypa/pipenv/issues/4433>`_
- Fix a bug that invalid Python paths from Windows registry break ``pipenv install``.  `#4436 <https://github.com/pypa/pipenv/issues/4436>`_
- Fix a bug that function calls in ``setup.py`` can't be parsed rightly.  `#4446 <https://github.com/pypa/pipenv/issues/4446>`_
- Fix a bug that dist-info inside ``venv`` directory will be mistaken as the editable package's metadata.  `#4480 <https://github.com/pypa/pipenv/issues/4480>`_
- Make the order of hashes in resolution result stable.  `#4513 <https://github.com/pypa/pipenv/issues/4513>`_

Vendored Libraries
------------------

- Update ``tomlkit`` from ``0.5.11`` to ``0.7.0``.  `#4433 <https://github.com/pypa/pipenv/issues/4433>`_
- Update ``requirementslib`` from ``1.5.13`` to ``1.5.14``.  `#4480 <https://github.com/pypa/pipenv/issues/4480>`_

Improved Documentation
----------------------

- Discourage homebrew installation in installation guides.  `#4013 <https://github.com/pypa/pipenv/issues/4013>`_
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging a pull request may close this issue.

1 participant